function [L_0, AL_0, GFACPOP_R, GA_0, GSIG_0,SIGMA_0, FORCOTH_0, PARTFRACT_0, PBACKTIME_0, COST1_0, ETREE_0, YGROSS_R, YGROSS_PCF_R, YGROSS, YGROSS_PCF, MAT_R, MAT_PCF_R, MAT, MAT_PCF, MU_R, MU_PCF_R, MU, MU_PCF, ML_R, ML_PCF_R, ML, ML_PCF, MATAV_R, MATAV_PCF_R, MATAV, MATAV_PCF, FORC_R, FORC_PCF_R, FORC, FORC_PCF, TATM_R, TATM_PCF_R, TATM, TATM_PCF, TOCEAN_R, TOCEAN_PCF_R, TOCEAN, TOCEAN_PCF, REL_DAMAGES_R, REL_DAMAGES_PCF_R, REL_DAMAGES_PCF, REL_DAMAGES, DAMAGES_R, DAMAGES_PCF_R, DAMAGES, DAMAGES_PCF, YNET_R, YNET_PCF_R , YNET, YNET_PCF, ABATECOST_R, ABATECOST, ABATECOST_PCF_R, ABATECOST_PCF, Y_R, Y_PCF_R, Y, Y_PCF, I_R, I_PCF_R, I, I_PCF, C_R, C, C_PCF_R, C_PCF, CperC_R, CperC, CperC_PCF_R, CperC_PCF, K_R, K, K_PCF_R, K_PCF, EIND_R, EIND_PCF_R, EIND, EIND_PCF, E_R, E_PCF_R, E, E_PCF, PROP_REMAIN_PCF_R, PROP_REMAIN_PCF, CUM_THAWED_PCF, CUM_THAWED_PCF_R, FLUX_THAWED_PCF_R, FLUX_THAWED_PCF, CUM_PROP_DECOMP_PCF_R, CUM_PROP_DECOMP_PCF, FLUX_PROP_DECOMP_PCF_R, FLUX_PROP_DECOMP_PCF, FLUX_VULN_PCF_R, FLUX_VULN_PCF, FLUX_C_EMISSIONS_PCF_R, FLUX_C_EMISSIONS_PCF, CUM_C_EMISSIONS_PCF_R, CUM_C_EMISSIONS_PCF, FLUX_CH4_EMISSIONS_PCF_R, FLUX_CH4_EMISSIONS_PCF, CUM_CH4_EMISSIONS_PCF_R, CUM_CH4_EMISSIONS_PCF, FLUX_CO2_EMISSIONS_PCF_R, FLUX_CO2_EMISSIONS_PCF, CUM_CO2_EMISSIONS_PCF_R, CUM_CO2_EMISSIONS_PCF, FLUX_CO2_EMISSIONS_GTCO2_PCF_R, FLUX_CO2_EMISSIONS_GTCO2_PCF, CUM_CO2_EMISSIONS_GTCO2_PCF_R, CUM_CO2_EMISSIONS_GTCO2_PCF, CH4_CONC_PCF_R, CH4_CONC_PCF, CH4_CONC_PPMV_PCF_R, CH4_CONC_PPMV_PCF, RAD_CH4_PCF_R, RAD_CH4_PCF, RAD_N2O_PCF_R, RAD_N2O_PCF, RAD_TOT_PCF_R, RAD_TOT_PCF] = Function_CALCS_ALL( QUADRATIC, WEITZMAN, MC, MC_max, PCF, end_date, years, TSTEP,POP0,POPADJ, GAMMA, DK, Q0, K0, AL0, DELA, ELAND0, DELAND, E0, MIU0, SIG0,DSIG, MAT0, MU0, ML0, MATEQ, MUEQ, MLEQ, FEX0, FEX1, TOCEAN0, TATM0, C3, C4, FCO22X, AD1, EXPCOST2, GBACK, MIU_LIMIT2, LIMMIU, TNOPOL, CPRICE0, GCPRICE, PERIODFULLPART, PARTFRACT2010, PARTFRACTFULL, C1, coeff_CO2, coeff_CH4, AW2, AW7, AWGAMMA, MIU, S, K_LOW, MAT_LOW, MU_LOW, ML_LOW, C_LOW, TOCEAN_HIGH, TOCEAN_LOW, TATM_HIGH, CPC_LOW, POPASYM, T2XCO2, B12, AD2, GA0, GSIGMA1, CPRICE2050, GA0_5yrs, PBACK, PF_C, PCF_beta, e_fold, prop_passive, prop_CH4, CH4_conv, CH4_tropo, CH4_soil, CH4_strato, CH4_net_lft, CH4_lambda, CH4_mu, CH4_M0, N2O_N0, CH4_CONC0, FHA_2010, FHA_2100, CH4_OTHER_EMISSIONS_0, N2O_CONC_0, RAD_OTHER_PCF_0); 
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here


    %----------------------------------------------------------------------
    % Carbon cycle coefficients matrix
    %---------------------------------------------------------------------- 
    B23     = 0.250;              % Carbon cycle transition matrix
    B11     = 100 - B12;          % Carbon cycle transition matrix
    B21     = B12*MATEQ/MUEQ;     % Carbon cycle transition matrix
    B21     = round(B21*1e3)/1e3; % (to avoid discrepancies with the Excel file)
    B22     = 100 - B21 - B23;    % Carbon cycle transition matrix
    B32     = B23*MUEQ/MLEQ;      % Carbon cycle transition matrix
    B32     = round(B32*1e5)/1e5; % (to avoid discrepancies with the Excel file)
    B33     = 100 - B32;          % Carbon cycle transition matrix
    
    %----------------------------------------------------------------------
    % Initialization of reference paths which don't depend on emissions 
    %----------------------------------------------------------------------
    
    L_0                             = zeros(length(years),1);  % Population
    AL_0                            = zeros(length(years),1);  % Level of total factor productivity
    GFACPOP_R                       = zeros(length(years),1);  % Growth factor of population
    GA_0                            = zeros(length(years),1);  % Growth rate of productivity
    GSIG_0                          = zeros(length(years),1);  % Cumulative improvement of energy efficiency
    SIGMA_0                         = zeros(length(years),1);  % Co2-eq emissions-output ratio
    FORCOTH_0                       = zeros(length(years),1);  % Exogenous forcing
    PARTFRACT_0                     = zeros(length(years),1);  % Fraction of emissions in control regime
    PBACKTIME_0                     = zeros(length(years),1);  % Backstop price
    COST1_0                         = zeros(length(years),1);  % Adjusted cost for backstop
    ETREE_0                         = zeros(length(years),1);  % decline rate of land emissions per year = 0.1
    
    %----------------------------------------------------------------------
    % Initialization of reference paths of variables which depend on emissions (no PCF)
    %----------------------------------------------------------------------
    
    % Reference paths of variables which depend on emissions (no PCF)
    YGROSS_R                        = zeros(length(years),1);  % World product gross of abatement and damages
    MAT_R                           = zeros(length(years),1);  % Atmospheric carbon concentration
    MU_R                            = zeros(length(years),1);  % Upper ocean carbon concentration
    ML_R                            = zeros(length(years),1);  % Lower ocean carbon concentration
    MATAV_R                         = zeros(length(years),1);  % 2-decade lag atmospheric carbon conc.
    FORC_R                          = zeros(length(years),1);  % Total forcing 
    TATM_R                          = zeros(length(years),1);  % Atmospheric temperature
    TOCEAN_R                        = zeros(length(years),1);  % Ocean temperature
    REL_DAMAGES_R                   = zeros(length(years),1);  % Relative damages
    DAMAGES_R                       = zeros(length(years),1);  % Climate damages
    YNET_R                          = zeros(length(years),1);  % Output after damages before abatement
    ABATECOST_R                     = zeros(length(years),1);  % Cost of emissions reduction
    Y_R                             = zeros(length(years),1);  % Output net of damages and abatement
    I_R                             = zeros(length(years),1);  % Investment
    C_R                             = zeros(length(years),1);  % Consumption
    CperC_R                         = zeros(length(years),1);  % Consumption per capita ($000s per year)
    K_R                             = zeros(length(years),1);  % Capital stock
    EIND_R                          = zeros(length(years),1);  % Industrial emissions
    E_R                             = zeros(length(years),1);  % Total emissions  
    
     
    % Perturbed paths of variables which depend on emissions (no PCF)
    YGROSS                          = zeros(length(years),1);  % World product gross of abatement and damages
    MAT                             = zeros(length(years),1);  % Atmospheric carbon concentration
    MU                              = zeros(length(years),1);  % Upper ocean carbon concentration
    ML                              = zeros(length(years),1);  % Lower ocean carbon concentration
    MATAV                           = zeros(length(years),1);  % 2-decade lag atmospheric carbon conc.
    FORC                            = zeros(length(years),1);  % Total forcing 
    TATM                            = zeros(length(years),1);  % Atmospheric temperature
    TOCEAN                          = zeros(length(years),1);  % Ocean temperature
    REL_DAMAGES                     = zeros(length(years),1);  % Relative damages
    DAMAGES                         = zeros(length(years),1);  % Climate damages
    YNET                            = zeros(length(years),1);  % Output after damages before abatement
    ABATECOST                       = zeros(length(years),1);  % Cost of emissions reduction
    Y                               = zeros(length(years),1);  % Output net of damages and abatement
    I                               = zeros(length(years),1);  % Investment
    C                               = zeros(length(years),1);  % Consumption
    CperC                           = zeros(length(years),1);  % Consumption per capita ($000s per year)
    K                               = zeros(length(years),1);  % Capital stock
    EIND                            = zeros(length(years),1);  % Industrial emissions
    E                               = zeros(length(years),1);  % Total emissions
    
    
    % Reference paths of variables which depend on emissions (PCF)
    YGROSS_PCF_R                    = zeros(length(years),1);  % World product gross of abatement and damages
    MAT_PCF_R                       = zeros(length(years),1);  % Atmospheric carbon concentration
    MU_PCF_R                        = zeros(length(years),1);  % Upper ocean carbon concentration
    ML_PCF_R                        = zeros(length(years),1);  % Lower ocean carbon concentration
    MATAV_PCF_R                     = zeros(length(years),1);  % 2-decade lag atmospheric carbon conc.
    FORC_PCF_R                      = zeros(length(years),1);  % Total forcing 
    TATM_PCF_R                      = zeros(length(years),1);  % Atmospheric temperature
    TOCEAN_PCF_R                    = zeros(length(years),1);  % Ocean temperature
    REL_DAMAGES_PCF_R               = zeros(length(years),1);  % Relative damages
    DAMAGES_PCF_R                   = zeros(length(years),1);  % Climate damages
    YNET_PCF_R                      = zeros(length(years),1);  % Output after damages before abatement
    ABATECOST_PCF_R                 = zeros(length(years),1);  % Cost of emissions reduction
    Y_PCF_R                         = zeros(length(years),1);  % Output net of damages and abatement
    I_PCF_R                         = zeros(length(years),1);  % Investment
    C_PCF_R                         = zeros(length(years),1);  % Consumption
    CperC_PCF_R                     = zeros(length(years),1);  % Consumption per capita ($000s per year)
    K_PCF_R                         = zeros(length(years),1);  % Capital stock
    EIND_PCF_R                      = zeros(length(years),1);  % Industrial emissions
    E_PCF_R                         = zeros(length(years),1);  % Total emissions 
    
    PROP_REMAIN_PCF_R               = zeros(length(years),1); 
    CUM_THAWED_PCF_R                = zeros(length(years),1);  
    FLUX_THAWED_PCF_R               = zeros(length(years),1); 
    CUM_PROP_DECOMP_PCF_R           = zeros(length(years),1); 
    FLUX_PROP_DECOMP_PCF_R          = zeros(length(years),1);   
    FLUX_VULN_PCF_R                 = zeros(length(years),1);  
    FLUX_C_EMISSIONS_PCF_R          = zeros(length(years),1);  
    CUM_C_EMISSIONS_PCF_R           = zeros(length(years),1);
    FLUX_CH4_EMISSIONS_PCF_R        = zeros(length(years),1);
    CUM_CH4_EMISSIONS_PCF_R         = zeros(length(years),1);
    FLUX_CO2_EMISSIONS_PCF_R        = zeros(length(years),1);
    CUM_CO2_EMISSIONS_PCF_R         = zeros(length(years),1);     
    FLUX_CO2_EMISSIONS_GTCO2_PCF_R  = zeros(length(years),1);
    CUM_CO2_EMISSIONS_GTCO2_PCF_R   = zeros(length(years),1);  
    CH4_CONC_PCF_R                  = zeros(length(years),1);
    CH4_CONC_PPMV_PCF_R             = zeros(length(years),1);
    RAD_CH4_PCF_R                   = zeros(length(years),1);            
    RAD_N2O_PCF_R                   = zeros(length(years),1);          
    RAD_TOT_PCF_R                   = zeros(length(years),1);          
    
    
    % Perturbed paths of variables which depend on emissions (PCF)  
    YGROSS_PCF                      = zeros(length(years),1);    % World product gross of abatement and damages
    MAT_PCF                         = zeros(length(years),1);    % Atmospheric carbon concentration
    MU_PCF                          = zeros(length(years),1);    % Upper ocean carbon concentration
    ML_PCF                          = zeros(length(years),1);    % Lower ocean carbon concentration
    MATAV_PCF                       = zeros(length(years),1);    % 2-decade lag atmospheric carbon conc.
    FORC_PCF                        = zeros(length(years),1);    % Total forcing 
    TATM_PCF                        = zeros(length(years),1);    % Atmospheric temperature
    TOCEAN_PCF                      = zeros(length(years),1);    % Ocean temperature
    REL_DAMAGES_PCF                 = zeros(length(years),1);    % Relative damages
    DAMAGES_PCF                     = zeros(length(years),1);    % Climate damages
    YNET_PCF                        = zeros(length(years),1);    % Output after damages before abatement
    ABATECOST_PCF                   = zeros(length(years),1);    % Cost of emissions reduction
    MCABATE_PCF                     = zeros(length(years),1);    % Marginal cost of abatement
    Y_PCF                           = zeros(length(years),1);    % Output net of damages and abatement
    I_PCF                           = zeros(length(years),1);    % Investment
    C_PCF                           = zeros(length(years),1);    % Consumption
    CperC_PCF                       = zeros(length(years),1);    % Consumption per capita ( in 000s of 2005 $s per year)
    K_PCF                           = zeros(length(years),1);    % Capital stock
    EIND_PCF                        = zeros(length(years),1);    % Industrial emissions
    CumEIND_PCF                     = zeros(length(years),1);    % Cumulative industrial emissions
    E_PCF                           = zeros(length(years),1);    % Total emissions  
    
    
    PROP_REMAIN_PCF                 = zeros(length(years),1); 
    CUM_THAWED_PCF                  = zeros(length(years),1);  
    FLUX_THAWED_PCF                 = zeros(length(years),1); 
    CUM_PROP_DECOMP_PCF             = zeros(length(years),1); 
    FLUX_PROP_DECOMP_PCF            = zeros(length(years),1);   
    FLUX_VULN_PCF                   = zeros(length(years),1);  
    FLUX_C_EMISSIONS_PCF            = zeros(length(years),1);  
    CUM_C_EMISSIONS_PCF             = zeros(length(years),1);
    FLUX_CH4_EMISSIONS_PCF          = zeros(length(years),1);
    CUM_CH4_EMISSIONS_PCF           = zeros(length(years),1);
    FLUX_CO2_EMISSIONS_PCF          = zeros(length(years),1);
    CUM_CO2_EMISSIONS_PCF           = zeros(length(years),1);     
    FLUX_CO2_EMISSIONS_GTCO2_PCF    = zeros(length(years),1);
    CUM_CO2_EMISSIONS_GTCO2_PCF     = zeros(length(years),1);  
    CH4_CONC_PCF                    = zeros(length(years),1);
    CH4_CONC_PPMV_PCF               = zeros(length(years),1);
    RAD_CH4_PCF                     = zeros(length(years),1);            
    RAD_N2O_PCF                     = zeros(length(years),1);          
    RAD_TOT_PCF                     = zeros(length(years),1);
          
    %----------------------------------------------------------------------
    % Calculations of reference paths for variables that DO NOT depend on
    % emissions levels (noted NAME_0)  
    %----------------------------------------------------------------------
        
    % Variables
    % L_0         = Population
    % GFACPOP_0   = Growth factor of population
    % GA_0        = Growth rate of productivity
    % AL_0        = Level of total factor productivity
    % GSIG_0      = Cumulative improvement of energy efficiency
    % SIGMA_0     = Co2-eq emissions-output ratio
    % FORCOTH_0   = Exogenous forcing
    % PARTFRACT_0 = Fraction of emissions in control regime
    % ETREE_0     = Emissions from land use change
    % COST1_0     = Adjusted cost for backstop
        
    % Paths initialization:
    L_0(1)          = POP0;
    GA_0(1)         = GA0_5yrs; 
    AL_0(1)         = AL0;
    GSIG_0(1)       = GSIGMA1; 
    SIGMA_0(1)      = SIG0;
    PBACKTIME_0(1)  = PBACK;
    COST1_0(1)      = PBACK*SIGMA_0(1)/EXPCOST2/1000;
    ETREE_0(1)      = ELAND0;
    FORCOTH_0(1)    = FEX0+0.05*(FEX1-FEX0)*(1+1);
    PARTFRACT_0(1)  = PARTFRACT2010;
    
    % Paths calculations:
    t = 1;
    for year = years(1:end)'; t = t + 1;
        L_0(t)= L_0(t-1)*(POPASYM/L_0(t-1))^POPADJ; 
        GA_0(t) = GA0_5yrs*exp(-DELA*TSTEP*(t-1)); 
        AL_0(t) = AL_0(t-1)/((1-GA_0(t-1))); 
            
        % **GSIG** - first value of GSIG = GSIGMA1 is for year 2 (as GSIG = growth rate)
        if t<=2
        GSIG_0(t)  = GSIGMA1;
        elseif t>2
        GSIG_0(t)  = GSIG_0(t-1)*((1+DSIG)^TSTEP);
        end;
        
        SIGMA_0(t) = SIGMA_0(t-1)*(exp(GSIG_0(t)*TSTEP));
        PBACKTIME_0(t) = PBACK*(1-GBACK)^(t-1);
        COST1_0(t)  = PBACKTIME_0(t)*SIGMA_0(t)/EXPCOST2/1000;
        ETREE_0(t) = ELAND0*((1-DELAND)^(t-1)); 
        
        % **FORCOTH** - change after period 19
        if t<19
        FORCOTH_0(t) = FEX0+0.05*(FEX1-FEX0)*(t+1); % as in the Excel model for DICE 2013R on Nordhaus' website
        elseif t>=19
        FORCOTH_0(t) = FEX1;
        end;
                
        PARTFRACT_0(t) = (PARTFRACT2010 + (PARTFRACTFULL-PARTFRACT2010)*(t-1)/PERIODFULLPART)*(t<PERIODFULLPART+1) + PARTFRACTFULL*(t>PERIODFULLPART) ;
    end;
  
          
    %----------------------------------------------------------------------
    % Calculations of reference paths for variables that do depend on
    % emissions (no PCF)
    %----------------------------------------------------------------------  
    
    % Reference paths initialization:
    K_R(1)         = K0; 
    YGROSS_R(1)    = AL_0(1)*(L_0(1)/1000)^(1-GAMMA)*(K_R(1)^GAMMA);
    YGROSS_R(1)    = round(YGROSS_R(1)*1e3)/1e3;
    EIND_R(1)      = SIGMA_0(1)*(1-MIU(1))*YGROSS_R(1);
    CumEIND_R(1)   = EIND_R(1)*coeff_CO2*5;
    E_R(1)         = EIND_R(1)+ ETREE_0(1);
    MAT_R(1)       = MAT0;
    ML_R(1)        = ML0; 
    MU_R(1)        = MU0; 
    FORC_R(1)      = FCO22X*log((MAT_R(1)/588.000))/log(2) + FORCOTH_0(1); 
    TATM_R(1)      = TATM0; 
    TOCEAN_R(1)    = TOCEAN0; 
    
    % Damages (quadratic or as in Weitzman, depending on the
    % initial setting - cf lines 35-40) 
    if QUADRATIC == 1
        DAMAGES_R(1) = YGROSS_R(1)*(AD1*TATM_R(1) + AD2*TATM_R(1)^2)/(1+(AD1*TATM_R(1) + AD2*TATM_R(1)^2)^10);
        REL_DAMAGES_R(1) = AD1*TATM_R(1) + AD2*TATM_R(1)^2;
    elseif WEITZMAN == 1
        DAMAGES_R(1) = YGROSS_R(1)-YGROSS_R(1)/(1 + (AW2*TATM_R(1))^2 + (AW7*TATM_R(1))^AWGAMMA);
        REL_DAMAGES_R(1) = 1-1/(1 + (AW2*TATM_R(1))^2 + (AW7*TATM_R(1))^AWGAMMA);
    end;
        
    YNET_R(1)      = YGROSS_R(1)-DAMAGES_R(1);
    ABATECOST_R(1) = (PARTFRACT_0(1)^(1-EXPCOST2))*YGROSS_R(1)*COST1_0(1)*(MIU(1)^EXPCOST2);
    Y_R(1)         = YNET_R(1)-ABATECOST_R(1);
    I_R(1)         = S(1)*Y_R(1);
    C_R(1)         = max(C_LOW, Y_R(1)-I_R(1));
    CperC_R(1)     = (C_R(1)/L_0(1))*1000;
    K_R(2)         = max(K_LOW, ((1-DK)^TSTEP)*K_R(1)+TSTEP*I_R(1));
    YGROSS_R(2)    = AL_0(2)*(L_0(2)/1000)^(1-GAMMA)*(K_R(2)^GAMMA);
    EIND_R(2)      = SIGMA_0(2)*(1-MIU(2))*YGROSS_R(2);
    
    % Reference paths calculations:
    t=1;
    for year = years(1:end-1)'; t = t + 1;
        CumEIND_R(t)   = CumEIND_R(t-1) + EIND_R(t)*coeff_CO2*5;
        E_R(t)         = EIND_R(t)+ ETREE_0(t);
        MAT_R(t)       = max(MAT_LOW, B11/100*MAT_R(t-1) + B21/100*MU_R(t-1) + E_R(t-1)*5/coeff_CO2); % cf lower bound MAT_LOW
        ML_R(t)        = max(ML_LOW, B23/100*MU_R(t-1) + B33/100*ML_R(t-1)); % cf lower bound ML_LOW
        MU_R(t)        = max(MU_LOW, B12/100*MAT_R(t-1) + B22/100*MU_R(t-1) + B32/100*ML_R(t-1)); % cf lower bound MU_LOW
        FORC_R(t)      = FCO22X * (log((MAT_R(t)/588.000))/log(2)) + FORCOTH_0(t); 
        TATM_R(t)      = min(TATM_HIGH, TATM_R(t-1) + C1*(FORC_R(t) - FCO22X/T2XCO2*TATM_R(t-1) - C3*(TATM_R(t-1) - TOCEAN_R(t-1))));
        
        % Upper and lower bounds on atmospheric temperature
        if TOCEAN_R(t-1) + C4*(TATM_R(t-1)-TOCEAN_R(t-1))>=0
        TOCEAN_R(t)    = min(TOCEAN_HIGH, TOCEAN_R(t-1) + C4*(TATM_R(t-1)-TOCEAN_R(t-1)));
            elseif TOCEAN_R(t-1) + C4*(TATM_R(t-1)-TOCEAN_R(t-1))<0
        TOCEAN_R(t)    = max(TOCEAN_LOW, TOCEAN_R(t-1) + C4*(TATM_R(t-1)-TOCEAN_R(t-1)));
        end;
        
        % Damages (quadratic or as in Weitzman, depending on the
        % initial setting - cf lines 35-40) 
        if QUADRATIC == 1
        DAMAGES_R(t) = YGROSS_R(t)*(AD1*TATM_R(t) + AD2*TATM_R(t)^2)/(1+(AD1*TATM_R(t) + AD2*TATM_R(t)^2)^10);
        REL_DAMAGES_R(t) = AD1*TATM_R(t) + AD2*TATM_R(t)^2;
            elseif WEITZMAN == 1
        DAMAGES_R(t) = YGROSS_R(t)-YGROSS_R(t)/(1 + (AW2*TATM_R(t))^2 + (AW7*TATM_R(t))^AWGAMMA);
        REL_DAMAGES_R(t) = 1-1/(1 + (AW2*TATM_R(t))^2 + (AW7*TATM_R(t))^AWGAMMA);
        end;
                       
        YNET_R(t)      = YGROSS_R(t)-DAMAGES_R(t);
        ABATECOST_R(t) = (PARTFRACT_0(t)^(1-EXPCOST2))*YGROSS_R(t)*COST1_0(t)*(MIU(t)^EXPCOST2);
        Y_R(t)         = YNET_R(t)-ABATECOST_R(t);
        I_R(t)         = S(t)*Y_R(t);
        C_R(t)         = max(C_LOW, Y_R(t)-I_R(t));
        CperC_R(t)     = (C_R(t)/L_0(t))*1000;
        K_R(t+1)       = ((1-DK)^TSTEP)*K_R(t)+TSTEP*I_R(t);
        YGROSS_R(t+1)  = AL_0(t+1)*((L_0(t+1)/1000)^(1-GAMMA))*(K_R(t+1)^GAMMA);
        EIND_R(t+1)    = SIGMA_0(t+1)*(1-MIU(t+1))*YGROSS_R(t+1); 
        
    end;          
    
    
    %----------------------------------------------------------------------      
    % Calculations of perturbed paths for variables that do depend on
    % emissions (no PCF)
    %----------------------------------------------------------------------  
    
    % We now introduce a mitigation project: as in the SCC exercise by the EPA (2008), the perturbed emissions' path is modelled as a reduction of 1 unit of
    % emissions in year 2. We then calculate the consequently perturbed paths.
    
    % The following paths do not change
    % L_0         = Population
    % GFACPOP_0   = Growth factor of population
    % GA_0        = Growth rate of productivity
    % AL_0        = Level of total factor productivity
    % GSIG_0      = Cumulative improvement of energy efficiency
    % SIGMA_0     = Co2-eq emissions-output ratio
    % FORCOTH_0   = Exogenous forcing
    % PARTFRACT_0 = Fraction of emissions in control regime
    % ETREE_0     = Emissions from land use change
    % COST1_0     = Adjusted cost for backstop
 
    
    % We now calculate the perturbed paths for the variables which depend on the level of emissions :
        
    % Perturbed paths initialization: 
    K(1)           = K0; 
    YGROSS(1)      = AL_0(1)*(L_0(1)/1000)^(1-GAMMA)*(K(1)^GAMMA);
    YGROSS(1)      = round(YGROSS(1)*1e3)/1e3;
    EIND(1)        = SIGMA_0(1)*(1-MIU(1))*YGROSS(1);
    
    CumEIND(1)     = EIND(1)*coeff_CO2*5;
    E(1)           = EIND(1)+ ETREE_0(1);
    MAT(1)         = MAT0;
    ML(1)          = ML0; 
    MU(1)          = MU0; 
    FORC(1)        = FCO22X*log((MAT(1)/588.000))/log(2) + FORCOTH_0(1); 
    TATM(1)        = TATM0; 
    TOCEAN(1)      = TOCEAN0; 
    
    % Damages (quadratic or as in Weitzman, depending on the
    % initial setting - cf lines 35-40)
    if QUADRATIC == 1
    DAMAGES(1) = YGROSS(1)*(AD1*TATM(1) + AD2*TATM(1)^2)/(1+(AD1*TATM(1) + AD2*TATM(1)^2)^10);
    REL_DAMAGES(1) = AD1*TATM(1) + AD2*TATM(1)^2;
        elseif WEITZMAN == 1
    DAMAGES(1) = YGROSS(1)-YGROSS(1)/(1 + (AW2*TATM(1))^2 + (AW7*TATM(1))^AWGAMMA);
    REL_DAMAGES(1) = 1-1/(1 + (AW2*TATM(1))^2 + (AW7*TATM(1))^AWGAMMA);
    end;        
    
    YNET(1)        = YGROSS(1)-DAMAGES(1);
    ABATECOST(1)   = (PARTFRACT_0(1)^(1-EXPCOST2))*YGROSS(1)*COST1_0(1)*(MIU(1)^EXPCOST2);
    Y(1)           = YNET(1)-ABATECOST(1);
    I(1)           = S(1)*Y(1);
    C(1)           = max(C_LOW, Y(1)-I(1));
    CperC(1)       = (C(1)/L_0(1))*1000;
    K(2)           = max(K_LOW, ((1-DK)^TSTEP)*K(1)+TSTEP*I(1));
    YGROSS(2)      = AL_0(2)*(L_0(2)/1000)^(1-GAMMA)*(K(2)^GAMMA);
    
    % Additional unit of emissions in year 2:
    EIND(2)        = (SIGMA_0(2)*(1-MIU(2))*YGROSS(2))+1;
    
    % Perturbed paths calculations:
    t=1;
    for year = years(1:end-1)'; t = t + 1;
        CumEIND(t)     = CumEIND(t-1) + EIND(t)*coeff_CO2*5;
        E(t)           = EIND(t)+ ETREE_0(t);
        MAT(t)         = max(MAT_LOW, B11/100*MAT(t-1) + B21/100*MU(t-1) + E(t-1)*5/coeff_CO2); % cf lower bound MAT_LOW
        ML(t)          = max(ML_LOW, B23/100*MU(t-1) + B33/100*ML(t-1)); % cf lower bound ML_LOW
        MU(t)          = max(MU_LOW, B12/100*MAT(t-1) + B22/100*MU(t-1) + B32/100*ML(t-1)); % cf lower bound MU_LOW
        FORC(t)        = FCO22X * (log((MAT(t)/588.000))/log(2)) + FORCOTH_0(t); 
        TATM(t)        = min(TATM_HIGH, TATM(t-1) + C1*(FORC(t) - FCO22X/T2XCO2*TATM(t-1) - C3*(TATM(t-1) - TOCEAN(t-1))));
        
        % Upper and lower bounds on atmospheric temperature
        if TOCEAN(t-1) + C4*(TATM(t-1)-TOCEAN(t-1))>=0
        TOCEAN(t)      = min(TOCEAN_HIGH, TOCEAN(t-1) + C4*(TATM(t-1)-TOCEAN(t-1)));
            elseif TOCEAN(t-1) + C4*(TATM(t-1)-TOCEAN(t-1))<0
        TOCEAN(t)      = max(TOCEAN_LOW, TOCEAN(t-1) + C4*(TATM(t-1)-TOCEAN(t-1)));
        end;
          
        % Damages (quadratic or as in Weitzman, depending on the
        % initial setting - cf lines 35-40)
        if QUADRATIC == 1
        DAMAGES(t) = YGROSS(t)*(AD1*TATM(t) + AD2*TATM(t)^2)/(1+(AD1*TATM(t) + AD2*TATM(t)^2)^10);
        REL_DAMAGES(t) = AD1*TATM(t) + AD2*TATM(t)^2;
            elseif WEITZMAN == 1
        DAMAGES(t) = YGROSS(t)-YGROSS(t)/(1 + (AW2*TATM(t))^2 + (AW7*TATM(t))^AWGAMMA);
        REL_DAMAGES(t) = 1-1/(1 + (AW2*TATM(t))^2 + (AW7*TATM(t))^AWGAMMA);
        end;

        YNET(t)        = YGROSS(t)-DAMAGES(t);
        ABATECOST(t)   = (PARTFRACT_0(t)^(1-EXPCOST2))*YGROSS(t)*COST1_0(t)*(MIU(t)^EXPCOST2);
        Y(t)           = YNET(t)-ABATECOST(t);
        I(t)           = S(t)*Y(t);
        C(t)           = max(C_LOW, Y(t)-I(t));
        CperC(t)       = (C(t)/L_0(t))*1000;
        K(t+1)         = ((1-DK)^TSTEP)*K(t)+TSTEP*I(t);
        YGROSS(t+1)    = AL_0(t+1)*((L_0(t+1)/1000)^(1-GAMMA))*(K(t+1)^GAMMA);
        EIND(t+1)      = SIGMA_0(t+1)*(1-MIU(t+1))*YGROSS(t+1); 
    end;
    
     %----------------------------------------------------------------------
    % E.3)MODEL WITH PCF MODULE
    %----------------------------------------------------------------------
    %----------------------------------------------------------------------
      
    %----------------------------------------------------------------------
    % E.3.a) Calculate reference paths for variables that do depend on
    % emissions (PCF)
    %----------------------------------------------------------------------  
    
    
    % Reference paths initialization:
    K_PCF_R(1)                        = K0; 
    YGROSS_PCF_R(1)                   = AL_0(1)*(L_0(1)/1000)^(1-GAMMA)*(K_PCF_R(1)^GAMMA);
    YGROSS_PCF_R(1)                   = round(YGROSS_PCF_R(1)*1e3)/1e3;
    EIND_PCF_R(1)                     = SIGMA_0(1)*(1-MIU(1))*YGROSS_PCF_R(1);
    CumEIND_PCF_R(1)                  = EIND_PCF_R(1)*coeff_CO2*5;
    E_PCF_R(1)                        = EIND_PCF_R(1)+ ETREE_0(1);
    MAT_PCF_R(1)                      = MAT0;
    ML_PCF_R(1)                       = ML0; 
    MU_PCF_R(1)                       = MU0; 
    FORC_PCF_R(1)                     = FCO22X*log((MAT_PCF_R(1)/588.000))/log(2) + FORCOTH_0(1); 
    TATM_PCF_R(1)                     = TATM0;
    
    PROP_REMAIN_PCF_R(1)              = 1;
    CUM_THAWED_PCF_R(1)               =(1-PROP_REMAIN_PCF_R(1))*PF_C;
    FLUX_THAWED_PCF_R(1)              = CUM_THAWED_PCF_R(1)-CUM_THAWED_PCF_R(1);
    FLUX_VULN_PCF_R(1)                = (1-prop_passive)*FLUX_THAWED_PCF_R(1);
    CUM_PROP_DECOMP_PCF_R(1)          = 0;
    FLUX_PROP_DECOMP_PCF_R(1)         = 0;
    FLUX_C_EMISSIONS_PCF_R(1)         = FLUX_PROP_DECOMP_PCF_R(1)*FLUX_VULN_PCF_R(1);
    CUM_C_EMISSIONS_PCF_R(1)          = FLUX_C_EMISSIONS_PCF_R(1);
    FLUX_CH4_EMISSIONS_PCF_R(1)       = FLUX_C_EMISSIONS_PCF_R(1)*prop_CH4*1000*coeff_CH4;
    CUM_CH4_EMISSIONS_PCF_R(1)        = FLUX_CH4_EMISSIONS_PCF_R(1);
    FLUX_CO2_EMISSIONS_PCF_R(1)       = FLUX_C_EMISSIONS_PCF_R(1)*(1-prop_CH4);
    CUM_CO2_EMISSIONS_PCF_R(1)        = FLUX_CO2_EMISSIONS_PCF_R(1);
    FLUX_CO2_EMISSIONS_GTCO2_PCF_R(1) = FLUX_C_EMISSIONS_PCF_R(1)*(1-prop_CH4)/coeff_CO2;
    CUM_CO2_EMISSIONS_GTCO2_PCF_R(1)  = FLUX_CO2_EMISSIONS_GTCO2_PCF_R(1);
    CH4_CONC_PCF_R(1)                 = CH4_CONC0;
    CH4_CONC_PPMV_PCF_R(1)            = CH4_CONC_PCF_R(1)/CH4_conv;
    RAD_CH4_PCF_R(1)                  = CH4_lambda*(CH4_CONC_PPMV_PCF_R(1)^0.5-CH4_M0^0.5)-(0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF_R(1)*N2O_CONC_0(1))^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF_R(1)*(CH4_CONC_PPMV_PCF_R(1)*N2O_CONC_0(1))^1.52)-0.47*log(1+2.01*10^(-5)*(CH4_M0*N2O_CONC_0(1))^0.75+5.31*10^(-15)*CH4_M0*(CH4_M0*N2O_CONC_0(1))^1.52));
    RAD_N2O_PCF_R(1)                  = CH4_mu*(N2O_CONC_0(1)^0.5-N2O_N0^0.5)-(0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF_R(1)*N2O_CONC_0(1))^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF_R(1)*(CH4_CONC_PPMV_PCF_R(1)*N2O_CONC_0(1))^1.52)-0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF_R(1)*N2O_N0)^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF_R(1)*(CH4_CONC_PPMV_PCF_R(1)*N2O_N0)^1.52));
    RAD_TOT_PCF_R(1)                  = RAD_CH4_PCF_R(1)+ RAD_N2O_PCF_R(1) + RAD_OTHER_PCF_0(1);
    
    TOCEAN_PCF_R(1)                 = TOCEAN0; 
    
        % Damages (quadratic or as in Dietz and Asheim, depending on the
        % initial setting - cf lines 35-40) 
        if QUADRATIC == 1
        DAMAGES_PCF_R(1) = YGROSS_PCF_R(1)*(AD1*TATM_PCF_R(1) + AD2*TATM_PCF_R(1)^2)/(1+(AD1*TATM_PCF_R(1) + AD2*TATM_PCF_R(1)^2)^10);
        REL_DAMAGES_PCF_R(1) = AD1*TATM_PCF_R(1) + AD2*TATM_PCF_R(1)^2;
        elseif WEITZMAN == 1
        DAMAGES_PCF_R(1) = YGROSS_PCF_R(1)-YGROSS_PCF_R(1)/(1 + (AW2*TATM_PCF_R(1))^2 + (AW7*TATM_PCF_R(1))^AWGAMMA);
        REL_DAMAGES_PCF_R(1) = 1-1/(1 + (AW2*TATM_PCF_R(1))^2 + (AW7*TATM_PCF_R(1))^AWGAMMA);
        end;
        
    YNET_PCF_R(1)                   = YGROSS_PCF_R(1)-DAMAGES_PCF_R(1);
    ABATECOST_PCF_R(1)              = (PARTFRACT_0(1)^(1-EXPCOST2))*YGROSS_PCF_R(1)*COST1_0(1)*(MIU(1)^EXPCOST2);
    Y_PCF_R(1)                      = YNET_PCF_R(1)-ABATECOST_PCF_R(1);
    I_PCF_R(1)                      = S(1)*Y_PCF_R(1);
    C_PCF_R(1)                      = max(C_LOW, Y_PCF_R(1)-I_PCF_R(1));
    CperC_PCF_R(1)                  = (C_PCF_R(1)/L_0(1))*1000;
    K_PCF_R(2)                      = max(K_LOW, ((1-DK)^TSTEP)*K_PCF_R(1)+TSTEP*I_PCF_R(1));
    YGROSS_PCF_R(2)                 = AL_0(2)*(L_0(2)/1000)^(1-GAMMA)*(K_PCF_R(2)^GAMMA);
    EIND_PCF_R(2)                   = SIGMA_0(2)*(1-MIU(2))*YGROSS_PCF_R(2);
    
    % Reference paths calculations:
    t=1;
    for year = years(1:end-1)'; t = t + 1;
        CumEIND_PCF_R(t)            = CumEIND_PCF_R(t-1) + EIND_PCF_R(t)*coeff_CO2*5;
        MAT_PCF_R(t)                = max(MAT_LOW, B11/100*MAT_PCF_R(t-1) + B21/100*MU_PCF_R(t-1) + E_PCF_R(t-1)*5/coeff_CO2); % cf lower bound MAT_LOW
        ML_PCF_R(t)                 = max(ML_LOW, B23/100*MU_PCF_R(t-1) + B33/100*ML_PCF_R(t-1)); % cf lower bound ML_LOW
        MU_PCF_R(t)                 = max(MU_LOW, B12/100*MAT_PCF_R(t-1) + B22/100*MU_PCF_R(t-1) + B32/100*ML_PCF_R(t-1)); % cf lower bound MU_LOW
        
        if PCF == 0
            FORC_PCF_R(t)           = FCO22X * (log((MAT_PCF_R(t)/588.000))/log(2)) + FORCOTH_0(t); 
        elseif PCF == 1
            FORC_PCF_R(t)           = FCO22X * (log((MAT_PCF_R(t)/588.000))/log(2)) + RAD_TOT_PCF_R(t-1);
        end;
           
        TATM_PCF_R(t)               = min(TATM_HIGH, TATM_PCF_R(t-1) + C1*(FORC_PCF_R(t) - FCO22X/T2XCO2*TATM_PCF_R(t-1) - C3*(TATM_PCF_R(t-1) - TOCEAN_PCF_R(t-1))));
        
        % PCF MODULE: THAWING (GtC)
        PROP_REMAIN_PCF_R(t)       = max(1-PCF_beta*(TATM_PCF_R(t)-TATM_PCF_R(1)),0);
        CUM_THAWED_PCF_R(t)         = (1-PROP_REMAIN_PCF_R(t))*PF_C;
        FLUX_THAWED_PCF_R(t)        = CUM_THAWED_PCF_R(t)-CUM_THAWED_PCF_R(t-1);
                
        % PCF MODULE: CARBON DECOMPOSITION SCHEDULE
        CUM_PROP_DECOMP_PCF_R(t)    = (1-exp(-5*(t-1)/e_fold));
        FLUX_PROP_DECOMP_PCF_R(t)   = CUM_PROP_DECOMP_PCF_R(t)-CUM_PROP_DECOMP_PCF_R(t-1); % DO NOT PREALLOCATE FOR SPEED (cf flip)
        
        % PCF MODULE: VULNERABLE CARBON (GtC)
        FLUX_VULN_PCF_R(t)          = (1-prop_passive)*FLUX_THAWED_PCF_R(t);
        
        % PCF MODULE: DECOMPOSED CARBON (GtC)
        FLUX_C_EMISSIONS_PCF_R(t)   = sum(FLUX_VULN_PCF_R(1:t).*flip(FLUX_PROP_DECOMP_PCF_R(1:t)));
        CUM_C_EMISSIONS_PCF_R(t)    = CUM_C_EMISSIONS_PCF_R(t-1)+ FLUX_C_EMISSIONS_PCF_R(t);
        
        % PCF MODULE: METHANE EMISSIONS(Tg CH4)
        FLUX_CH4_EMISSIONS_PCF_R(t) = FLUX_C_EMISSIONS_PCF_R(t)*prop_CH4*1000*coeff_CH4;
        CUM_CH4_EMISSIONS_PCF_R(t)  = CUM_CH4_EMISSIONS_PCF_R(t-1)+FLUX_CH4_EMISSIONS_PCF_R(t);
        
        % PCF MODULE: CO2 EMISSIONS(GtC)
        FLUX_CO2_EMISSIONS_PCF_R(t) = FLUX_C_EMISSIONS_PCF_R(t)*(1-prop_CH4);
        CUM_CO2_EMISSIONS_PCF_R(t)  = CUM_CO2_EMISSIONS_PCF_R(t-1)+FLUX_CO2_EMISSIONS_PCF_R(t);
        
        % PCF MODULE: CO2 EMISSIONS(GtC)
        FLUX_CO2_EMISSIONS_GTCO2_PCF_R(t) = FLUX_C_EMISSIONS_PCF_R(t)*(1-prop_CH4)/coeff_CO2;
        CUM_CO2_EMISSIONS_GTCO2_PCF_R(t)  = CUM_CO2_EMISSIONS_GTCO2_PCF_R(t-1)+FLUX_CO2_EMISSIONS_GTCO2_PCF_R(t);
        
        % METHANE CYCLE (Tg CH4)
        CH4_CONC_PCF_R(t)           = CH4_CONC_PCF_R(t-1)*(1-1/CH4_net_lft)+FLUX_CH4_EMISSIONS_PCF_R(t) + CH4_OTHER_EMISSIONS_0(t);
        CH4_CONC_PPMV_PCF_R(t)      = CH4_CONC_PCF_R(t)/CH4_conv; 

        % RADIATIVE FORCING FROM CH4 AND N2O
        RAD_CH4_PCF_R(t)            = CH4_lambda*(CH4_CONC_PPMV_PCF_R(t)^0.5-CH4_M0^0.5)-(0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF_R(t)*N2O_CONC_0(t))^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF_R(t)*(CH4_CONC_PPMV_PCF_R(t)*N2O_CONC_0(t))^1.52)-0.47*log(1+2.01*10^(-5)*(CH4_M0*N2O_CONC_0(t))^0.75+5.31*10^(-15)*CH4_M0*(CH4_M0*N2O_CONC_0(t))^1.52));
        RAD_N2O_PCF_R(t)            = CH4_mu*(N2O_CONC_0(t)^0.5-N2O_N0^0.5)-(0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF_R(t)*N2O_CONC_0(t))^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF_R(t)*(CH4_CONC_PPMV_PCF_R(t)*N2O_CONC_0(t))^1.52)-0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF_R(t)*N2O_N0)^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF_R(t)*(CH4_CONC_PPMV_PCF_R(t)*N2O_N0)^1.52));
        
                                                   
        
        % TOTAL NON CO2 RADIATIVE FORCING
        RAD_TOT_PCF_R(t)            = RAD_CH4_PCF_R(t)+ RAD_N2O_PCF_R(t)+ RAD_OTHER_PCF_0(t);

        
        if PCF == 0
            E_PCF_R(t)              = EIND_PCF_R(t)+ ETREE_0(t); 
        elseif PCF == 1
            E_PCF_R(t)              = EIND_PCF_R(t)+ ETREE_0(t)+FLUX_CO2_EMISSIONS_PCF_R(t)/5*coeff_CO2;
        end;
                    
        % Upper and lower bounds on atmospheric temperature
        if TOCEAN_PCF_R(t-1) + C4*(TATM_PCF_R(t-1)-TOCEAN_PCF_R(t-1))>=0
        TOCEAN_PCF_R(t)    = min(TOCEAN_HIGH, TOCEAN_PCF_R(t-1) + C4*(TATM_PCF_R(t-1)-TOCEAN_PCF_R(t-1)));
            elseif TOCEAN_PCF_R(t-1) + C4*(TATM_PCF_R(t-1)-TOCEAN_PCF_R(t-1))<0
        TOCEAN_PCF_R(t)    = max(TOCEAN_LOW, TOCEAN_PCF_R(t-1) + C4*(TATM_PCF_R(t-1)-TOCEAN_PCF_R(t-1)));
        end;
        
        % Damages (quadratic or as in Dietz and Asheim, depending on the
        % initial setting - cf lines 35-40) 
        if QUADRATIC == 1
        DAMAGES_PCF_R(t) = YGROSS_PCF_R(t)*(AD1*TATM_PCF_R(t) + AD2*TATM_PCF_R(t)^2)/(1+(AD1*TATM_PCF_R(t) + AD2*TATM_PCF_R(t)^2)^10);
        REL_DAMAGES_PCF_R(t) = AD1*TATM_PCF_R(t) + AD2*TATM_PCF_R(t)^2;
            elseif WEITZMAN == 1
        DAMAGES_PCF_R(t) = YGROSS_PCF_R(t)-YGROSS_PCF_R(t)/(1 + (AW2*TATM_PCF_R(t))^2 + (AW7*TATM_PCF_R(t))^AWGAMMA);
        REL_DAMAGES_PCF_R(t) = 1-1/(1 + (AW2*TATM_PCF_R(t))^2 + (AW7*TATM_PCF_R(t))^AWGAMMA);
        end;
                       
        YNET_PCF_R(t)      = YGROSS_PCF_R(t)-DAMAGES_PCF_R(t);
        ABATECOST_PCF_R(t) = (PARTFRACT_0(t)^(1-EXPCOST2))*YGROSS_PCF_R(t)*COST1_0(t)*(MIU(t)^EXPCOST2);
        Y_PCF_R(t)         = YNET_PCF_R(t)-ABATECOST_PCF_R(t);
        I_PCF_R(t)         = S(t)*Y_PCF_R(t);
        C_PCF_R(t)         = max(C_LOW, Y_PCF_R(t)-I_PCF_R(t));
        CperC_PCF_R(t)     = (C_PCF_R(t)/L_0(t))*1000;
        K_PCF_R(t+1)       = ((1-DK)^TSTEP)*K_PCF_R(t)+TSTEP*I_PCF_R(t);
        YGROSS_PCF_R(t+1)  = AL_0(t+1)*((L_0(t+1)/1000)^(1-GAMMA))*(K_PCF_R(t+1)^GAMMA);
        EIND_PCF_R(t+1)    = SIGMA_0(t+1)*(1-MIU(t+1))*YGROSS_PCF_R(t+1); 
    end;          
    
    %----------------------------------------------------------------------      
    % E.2.b) Introduction of a mitigation project
    %----------------------------------------------------------------------  
    
    % We now introduce a mitigation project: as in the SCC exercise by the EPA (2008), the perturbed emissions' path is modelled as a reduction of 1 unit of
    % emissions in year 2. We then calculate the consequently perturbed paths.
    
    % The following paths do not change
    % L_0         = Population
    % GFACPOP_0   = Growth factor of population
    % GA_0        = Growth rate of productivity
    % AL_0        = Level of total factor productivity
    % GSIG_0      = Cumulative improvement of energy efficiency
    % SIGMA_0     = Co2-eq emissions-output ratio
    % FORCOTH_0   = Exogenous forcing
    % PARTFRACT_0 = Fraction of emissions in control regime
    % ETREE_0     = Emissions from land use change
    % COST1_0     = Adjusted cost for backstop
 
    
    % Paths initialization:
    K_PCF(1)                        = K0; 
    YGROSS_PCF(1)                   = AL_0(1)*(L_0(1)/1000)^(1-GAMMA)*(K_PCF(1)^GAMMA);
    YGROSS_PCF(1)                   = round(YGROSS_PCF(1)*1e3)/1e3;
    EIND_PCF(1)                     = SIGMA_0(1)*(1-MIU(1))*YGROSS_PCF(1);
    CumEIND_PCF(1)                  = EIND_PCF(1)*coeff_CO2*5;
    E_PCF(1)                        = EIND_PCF(1)+ ETREE_0(1);
    MAT_PCF(1)                      = MAT0;
    ML_PCF(1)                       = ML0; 
    MU_PCF(1)                       = MU0; 
    FORC_PCF(1)                     = FCO22X*log((MAT_PCF(1)/588.000))/log(2) + FORCOTH_0(1); 
    TATM_PCF(1)                     = TATM0;
    
    PROP_REMAIN_PCF(1)              = 1;
    CUM_THAWED_PCF(1)               =(1-PROP_REMAIN_PCF(1))*PF_C;
    FLUX_THAWED_PCF(1)              = CUM_THAWED_PCF(1)-CUM_THAWED_PCF(1);
    FLUX_VULN_PCF(1)                = (1-prop_passive)*FLUX_THAWED_PCF(1);
    CUM_PROP_DECOMP_PCF(1)          = 0;
    FLUX_PROP_DECOMP_PCF(1)         = 0;
    FLUX_C_EMISSIONS_PCF(1)         = FLUX_PROP_DECOMP_PCF(1)*FLUX_VULN_PCF(1);
    CUM_C_EMISSIONS_PCF(1)          = FLUX_C_EMISSIONS_PCF(1);
    FLUX_CH4_EMISSIONS_PCF(1)       = FLUX_C_EMISSIONS_PCF(1)*prop_CH4*1000*coeff_CH4;
    CUM_CH4_EMISSIONS_PCF(1)        = FLUX_CH4_EMISSIONS_PCF(1);
    FLUX_CO2_EMISSIONS_PCF(1)       = FLUX_C_EMISSIONS_PCF(1)*(1-prop_CH4);
    CUM_CO2_EMISSIONS_PCF(1)        = FLUX_CO2_EMISSIONS_PCF(1);
    FLUX_CO2_EMISSIONS_GTCO2_PCF(1) = FLUX_C_EMISSIONS_PCF(1)*(1-prop_CH4)/coeff_CO2;
    CUM_CO2_EMISSIONS_GTCO2_PCF(1)  = FLUX_CO2_EMISSIONS_GTCO2_PCF(1);
    CH4_CONC_PCF(1)                 = CH4_CONC0;
    CH4_CONC_PPMV_PCF(1)            = CH4_CONC_PCF(1)/CH4_conv;
    RAD_CH4_PCF(1)                  = CH4_lambda*(CH4_CONC_PPMV_PCF(1)^0.5-CH4_M0^0.5)-(0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF(1)*N2O_CONC_0(1))^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF(1)*(CH4_CONC_PPMV_PCF(1)*N2O_CONC_0(1))^1.52)-0.47*log(1+2.01*10^(-5)*(CH4_M0*N2O_CONC_0(1))^0.75+5.31*10^(-15)*CH4_M0*(CH4_M0*N2O_CONC_0(1))^1.52));
    RAD_N2O_PCF(1)                  = CH4_mu*(N2O_CONC_0(1)^0.5-N2O_N0^0.5)-(0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF(1)*N2O_CONC_0(1))^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF(1)*(CH4_CONC_PPMV_PCF(1)*N2O_CONC_0(1))^1.52)-0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF(1)*N2O_N0)^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF(1)*(CH4_CONC_PPMV_PCF(1)*N2O_N0)^1.52));
    RAD_TOT_PCF(1)                  = RAD_CH4_PCF(1)+ RAD_N2O_PCF(1)+ RAD_OTHER_PCF_0(1);
    
    TOCEAN_PCF(1)                   = TOCEAN0; 
    
        % Damages (quadratic or as in Dietz and Asheim, depending on the
        % initial setting - cf lines 35-40) 
        if QUADRATIC == 1
        DAMAGES_PCF(1) = YGROSS_PCF(1)*(AD1*TATM_PCF(1) + AD2*TATM_PCF(1)^2)/(1+(AD1*TATM_PCF(1) + AD2*TATM_PCF(1)^2)^10);
        REL_DAMAGES_PCF(1) = AD1*TATM_PCF(1) + AD2*TATM_PCF(1)^2;
        elseif WEITZMAN == 1
        DAMAGES_PCF(1) = YGROSS_PCF(1)-YGROSS_PCF(1)/(1 + (AW2*TATM_PCF(1))^2 + (AW7*TATM_PCF(1))^AWGAMMA);
        REL_DAMAGES_PCF(1) = 1-1/(1 + (AW2*TATM_PCF(1))^2 + (AW7*TATM_PCF(1))^AWGAMMA);
        end;
        
    YNET_PCF(1)                   = YGROSS_PCF(1)-DAMAGES_PCF(1);
    ABATECOST_PCF(1)              = (PARTFRACT_0(1)^(1-EXPCOST2))*YGROSS_PCF(1)*COST1_0(1)*(MIU(1)^EXPCOST2);
    Y_PCF(1)                      = YNET_PCF(1)-ABATECOST_PCF(1);
    I_PCF(1)                      = S(1)*Y_PCF(1);
    C_PCF(1)                      = max(C_LOW, Y_PCF(1)-I_PCF(1));
    CperC_PCF(1)                  = (C_PCF(1)/L_0(1))*1000;
    K_PCF(2)                      = max(K_LOW, ((1-DK)^TSTEP)*K_PCF(1)+TSTEP*I_PCF(1));
    YGROSS_PCF(2)                 = AL_0(2)*(L_0(2)/1000)^(1-GAMMA)*(K_PCF(2)^GAMMA);
         
        % Additional unit of emissions in year 2:
    EIND_PCF(2)                   = SIGMA_0(2)*(1-MIU(2))*YGROSS_PCF(2) + 1;
    
    % Reference paths calculations:
    t=1;
    for year = years(1:end-1)'; t = t + 1;
        CumEIND_PCF(t)            = CumEIND_PCF(t-1) + EIND_PCF(t)*coeff_CO2*5;
        MAT_PCF(t)                = max(MAT_LOW, B11/100*MAT_PCF(t-1) + B21/100*MU_PCF(t-1) + E_PCF(t-1)*5/coeff_CO2); % cf lower bound MAT_LOW
        ML_PCF(t)                 = max(ML_LOW, B23/100*MU_PCF(t-1) + B33/100*ML_PCF(t-1)); % cf lower bound ML_LOW
        MU_PCF(t)                 = max(MU_LOW, B12/100*MAT_PCF(t-1) + B22/100*MU_PCF(t-1) + B32/100*ML_PCF(t-1)); % cf lower bound MU_LOW
        
        if PCF == 0
            FORC_PCF(t)           = FCO22X * (log((MAT_PCF(t)/588.000))/log(2)) + FORCOTH_0(t); 
        elseif PCF == 1
            FORC_PCF(t)           = FCO22X * (log((MAT_PCF(t)/588.000))/log(2)) + RAD_TOT_PCF(t-1);
        end;
           
        TATM_PCF(t)               = min(TATM_HIGH, TATM_PCF(t-1) + C1*(FORC_PCF(t) - FCO22X/T2XCO2*TATM_PCF(t-1) - C3*(TATM_PCF(t-1) - TOCEAN_PCF(t-1))));
        
        % PCF MODULE: THAWING (GtC)
        PROP_REMAIN_PCF(t)        = max(1-PCF_beta*(TATM_PCF(t)-TATM_PCF(1)),0);
        CUM_THAWED_PCF(t)         = (1-PROP_REMAIN_PCF(t))*PF_C;
        FLUX_THAWED_PCF(t)        = CUM_THAWED_PCF(t)-CUM_THAWED_PCF(t-1);
                
        % PCF MODULE: CARBON DECOMPOSITION SCHEDULE
        CUM_PROP_DECOMP_PCF(t)    = (1-exp(-5*(t-1)/e_fold));
        FLUX_PROP_DECOMP_PCF(t)   = CUM_PROP_DECOMP_PCF(t)-CUM_PROP_DECOMP_PCF(t-1); % DO NOT PREALLOCATE FOR SPEED (cf flip)
        
        % PCF MODULE: VULNERABLE CARBON (GtC)
        FLUX_VULN_PCF(t)          = (1-prop_passive)*FLUX_THAWED_PCF(t);
        
        % PCF MODULE: DECOMPOSED CARBON (GtC)
        FLUX_C_EMISSIONS_PCF(t)   = sum(FLUX_VULN_PCF(1:t).*flip(FLUX_PROP_DECOMP_PCF(1:t)));
        CUM_C_EMISSIONS_PCF(t)    = CUM_C_EMISSIONS_PCF(t-1)+ FLUX_C_EMISSIONS_PCF(t);
        
        % PCF MODULE: METHANE EMISSIONS(Tg CH4)
        FLUX_CH4_EMISSIONS_PCF(t) = FLUX_C_EMISSIONS_PCF(t)*prop_CH4*1000*coeff_CH4;
        CUM_CH4_EMISSIONS_PCF(t)  = CUM_CH4_EMISSIONS_PCF(t-1)+FLUX_CH4_EMISSIONS_PCF(t);
        
        % PCF MODULE: CO2 EMISSIONS(GtC)
        FLUX_CO2_EMISSIONS_PCF(t) = FLUX_C_EMISSIONS_PCF(t)*(1-prop_CH4);
        CUM_CO2_EMISSIONS_PCF(t)  = CUM_CO2_EMISSIONS_PCF(t-1)+FLUX_CO2_EMISSIONS_PCF(t);
        
        % PCF MODULE: CO2 EMISSIONS(GtC)
        FLUX_CO2_EMISSIONS_GTCO2_PCF(t) = FLUX_C_EMISSIONS_PCF(t)*(1-prop_CH4)/coeff_CO2;
        CUM_CO2_EMISSIONS_GTCO2_PCF(t)  = CUM_CO2_EMISSIONS_GTCO2_PCF(t-1)+FLUX_CO2_EMISSIONS_GTCO2_PCF(t);
        
        % METHANE CYCLE (Tg CH4)
        CH4_CONC_PCF(t)           = CH4_CONC_PCF(t-1)*(1-1/CH4_net_lft)+FLUX_CH4_EMISSIONS_PCF(t) + CH4_OTHER_EMISSIONS_0(t);
        CH4_CONC_PPMV_PCF(t)      = CH4_CONC_PCF(t)/CH4_conv; 

        % RADIATIVE FORCING FROM CH4 AND N2O
        RAD_CH4_PCF(t)            = CH4_lambda*(CH4_CONC_PPMV_PCF(t)^0.5-CH4_M0^0.5)-(0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF(t)*N2O_CONC_0(t))^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF(t)*(CH4_CONC_PPMV_PCF(t)*N2O_CONC_0(t))^1.52)-0.47*log(1+2.01*10^(-5)*(CH4_M0*N2O_CONC_0(t))^0.75+5.31*10^(-15)*CH4_M0*(CH4_M0*N2O_CONC_0(t))^1.52));
        RAD_N2O_PCF(t)            = CH4_mu*(N2O_CONC_0(t)^0.5-N2O_N0^0.5)-(0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF(t)*N2O_CONC_0(t))^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF(t)*(CH4_CONC_PPMV_PCF(t)*N2O_CONC_0(t))^1.52)-0.47*log(1+2.01*10^(-5)*(CH4_CONC_PPMV_PCF(t)*N2O_N0)^0.75+5.31*10^(-15)*CH4_CONC_PPMV_PCF(t)*(CH4_CONC_PPMV_PCF(t)*N2O_N0)^1.52));
        
                                                   
        % TOTAL NON CO2 RADIATIVE FORCING
        RAD_TOT_PCF(t)            = RAD_CH4_PCF(t)+ RAD_N2O_PCF(t)+ RAD_OTHER_PCF_0(t);

        
        if PCF == 0
            E_PCF(t)              = EIND_PCF(t)+ ETREE_0(t); 
        elseif PCF == 1
            E_PCF(t)              = EIND_PCF(t)+ ETREE_0(t)+FLUX_CO2_EMISSIONS_PCF(t)/5*coeff_CO2;
        end;
                    
        % Upper and lower bounds on atmospheric temperature
        if TOCEAN_PCF(t-1) + C4*(TATM_PCF(t-1)-TOCEAN_PCF(t-1))>=0
        TOCEAN_PCF(t)    = min(TOCEAN_HIGH, TOCEAN_PCF(t-1) + C4*(TATM_PCF(t-1)-TOCEAN_PCF(t-1)));
            elseif TOCEAN_PCF(t-1) + C4*(TATM_PCF(t-1)-TOCEAN_PCF(t-1))<0
        TOCEAN_PCF(t)    = max(TOCEAN_LOW, TOCEAN_PCF(t-1) + C4*(TATM_PCF(t-1)-TOCEAN_PCF(t-1)));
        end;
        
        % Damages (quadratic or as in Dietz and Asheim, depending on the
        % initial setting - cf lines 35-40) 
        if QUADRATIC == 1
        DAMAGES_PCF(t) = YGROSS_PCF(t)*(AD1*TATM_PCF(t) + AD2*TATM_PCF(t)^2)/(1+(AD1*TATM_PCF(t) + AD2*TATM_PCF(t)^2)^10);
        REL_DAMAGES_PCF(t) = AD1*TATM_PCF(t) + AD2*TATM_PCF(t)^2;
            elseif WEITZMAN == 1
        DAMAGES_PCF(t) = YGROSS_PCF(t)-YGROSS_PCF(t)/(1 + (AW2*TATM_PCF(t))^2 + (AW7*TATM_PCF(t))^AWGAMMA);
        REL_DAMAGES_PCF(t) = 1-1/(1 +(AW2*TATM_PCF(t))^2 + (AW7*TATM_PCF(t))^AWGAMMA);
        end;
                       
        YNET_PCF(t)      = YGROSS_PCF(t)-DAMAGES_PCF(t);
        ABATECOST_PCF(t) = (PARTFRACT_0(t)^(1-EXPCOST2))*YGROSS_PCF(t)*COST1_0(t)*(MIU(t)^EXPCOST2);
        Y_PCF(t)         = YNET_PCF(t)-ABATECOST_PCF(t);
        I_PCF(t)         = S(t)*Y_PCF(t);
        C_PCF(t)         = max(C_LOW, Y_PCF(t)-I_PCF(t));
        CperC_PCF(t)     = (C_PCF(t)/L_0(t))*1000;
        K_PCF(t+1)       = ((1-DK)^TSTEP)*K_PCF(t)+TSTEP*I_PCF(t);
        YGROSS_PCF(t+1)  = AL_0(t+1)*((L_0(t+1)/1000)^(1-GAMMA))*(K_PCF(t+1)^GAMMA);
        EIND_PCF(t+1)    = SIGMA_0(t+1)*(1-MIU(t+1))*YGROSS_PCF(t+1); 
    end;          
    
  
end

