function [ ] = Function_CHARTS_PCF(QUADRATIC, WEITZMAN, years, E_R, E_PCF_R, MAT_R, MAT_PCF_R, TATM_R, TATM_PCF_R, C_R, C_PCF_R)

    % Plots paths
%--------------------------------------------------------------------------
    
    fig1=figure;
    
    MAT_R = MAT_R/2.12;
    MAT_PCF_R = MAT_PCF_R/2.12;

%--------------------------------------------------------------------------
    %1) CO2 emissions 
    subplot(2,2,1);
    plot(years,E_R,'-', years,E_PCF_R,'-r')
    axis([2010 2300 0 120]);
    xlabel('years');
    ylabel('GtCO2');
        
    if QUADRATIC == 1
        title('Impact of the PCF on CO_{2} emissions');
        ax = gca;
        ax.TitleFontSizeMultiplier = 1;
    elseif WEITZMAN == 1
        title('Impact of the PCF on CO_{2} emissions');
        ax = gca;
        ax.TitleFontSizeMultiplier = 1;
    end;
        
    legend('excl. the PCF','incl. the PCF','location','Best')
    
%--------------------------------------------------------------------------    
    %2) CO2 concentration
    subplot(2,2,2);
    plot(years,MAT_R,'-',years, MAT_PCF_R,'-r')
    axis([2010 2300 0 1400]);
    xlabel('years');
    ylabel('ppmv');
    
    if QUADRATIC == 1
        title('Impact of the PCF on CO_{2} concentration');
        ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    elseif WEITZMAN == 1
        title('Impact of the PCF on CO_{2} concentration');
        ax = gca;
        ax.TitleFontSizeMultiplier = 1;
    end;
    
    legend('excl. the PCF','incl. the PCF','location','Best')
    
%--------------------------------------------------------------------------    
    %3) Atm. temperature increase
    subplot(2,2,3);
    plot(years,TATM_R,'-',years, TATM_PCF_R,'-r')
    axis([2010 2300 0.0 8.0]);
    xlabel('years');
    ylabel('degrees Celsius');
 
    if QUADRATIC == 1
        title('Impact of the PCF on atm. temperature increase');
        ax = gca;
        ax.TitleFontSizeMultiplier = 1;
    elseif WEITZMAN == 1
        title('Impact of the PCF on atm. temperature increase');
        ax = gca;
        ax.TitleFontSizeMultiplier = 1;
    end;
    
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    
    
%--------------------------------------------------------------------------    
    %4) Consumption
    subplot(2,2,4);
    plot(years,C_R,'-',years, C_PCF_R,'-r')
    axis([2010 2300 0 2000]);
    xlabel('years');
    ylabel('US$ trillions');
    
    if QUADRATIC == 1
        title('Impact of the PCF on consumption');
        ax = gca;
        ax.TitleFontSizeMultiplier = 1;
    elseif WEITZMAN == 1
        title('Impact of the PCF on consumption');
        ax = gca;
        ax.TitleFontSizeMultiplier = 1;
    end;
    
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    
%--------------------------------------------------------------------------    
%--------------------------------------------------------------------------    
    if QUADRATIC == 1
        saveas(fig1,[pwd,'\CHART_PATHS_QUADRATIC_' date '.fig']);
        print -depsc eps_CHART_PATHS_QUADRATIC
    elseif WEITZMAN == 1
        saveas(fig1,[pwd,'\CHART_PATHS_WEITZMAN_' date '.fig']);
        print -depsc eps_CHART_PATHS_WEITZMAN
    end;
    

    
end

