function [ ] = Function_PATHS_PCF( QUADRATIC, WEITZMAN, years, end_date, MIU, S, L_0_MC, GA_0_MC, AL_0_MC, GSIG_0_MC, SIGMA_0_MC, PBACKTIME_0_MC, COST1_0_MC, FORCOTH_0_MC, YGROSS_PCF_R_MC, YGROSS_PCF_MC, ETREE_0_MC, EIND_PCF_R_MC, EIND_PCF_MC, MAT_PCF_R_MC, MAT_PCF_MC, FORC_PCF_R_MC, FORC_PCF_MC, TOCEAN_PCF_R_MC, TOCEAN_PCF_MC, TATM_PCF_R_MC, TATM_PCF_MC, REL_DAMAGES_PCF_R_MC, REL_DAMAGES_PCF_MC, DAMAGES_PCF_R_MC, DAMAGES_PCF_MC, YNET_PCF_R_MC, YNET_PCF_MC, ABATECOST_PCF_R_MC, ABATECOST_PCF_MC, Y_PCF_R_MC, Y_PCF_MC, I_PCF_R_MC, I_PCF_MC, C_PCF_R_MC, C_PCF_MC, K_PCF_R_MC, K_PCF_MC, year_SCC, rate_vect, eta_vect, rho_vect, SCC_const, SCC_PCF_const, SCC_ram, SCC_PCF_ram, CH4_OTHER_EMISSIONS_0_MC, N2O_CONC_0_MC, FLUX_CH4_EMISSIONS_PCF_R_MC, FLUX_CH4_EMISSIONS_PCF_MC, CH4_CONC_PPMV_PCF_R_MC, CH4_CONC_PPMV_PCF_MC, RAD_CH4_PCF_R_MC, RAD_CH4_PCF_MC, RAD_N2O_PCF_R_MC, RAD_N2O_PCF_MC, RAD_TOT_PCF_R_MC, RAD_TOT_PCF_MC)

%   This function writes in an Excel file:
%   - the path matrices for main variables
%   - Purpose: check than in the "no uncertainty" version of the DICE-2013R model 1.0, the
%   resulting paths are identical to the one in the Excel file

% File: MODEL_PATHS_vFINAL
%--------------------------------------------------------------------------
% NAME OF OUTPUT FILE

    warning off MATLAB:xlswrite:AddSheet;
    
    if QUADRATIC == 1
        filename = [pwd,'\OUTPUT_PATHS_PCF_QUADRATIC_' date '.xlsx'];
    elseif WEITZMAN == 1
        filename = [pwd,'\OUTPUT_PATHS_PCF_WEITZMAN_' date '.xlsx'];
    end;
 
    
%--------------------------------------------------------------------------
% EXCEL MODEL USED FOR COMPARISON
    
    if QUADRATIC == 1
        InputFileExcel = [pwd,'\EXCEL_DICEwithPCF_Master_Quadratic.xlsx'];
    elseif WEITZMAN == 1
        InputFileExcel = [pwd,'\EXCEL_DICEwithPCF_Master_Weitzman.xlsx'];
    end;
    
    sheet1 = ['SUM_Model_PCF']; 
    sheet2 = ['SUM_Model_PCF_plus1'];
    
    % Import years from Excel model
    xlrange = 'F5:BM5';
    yearsExcel = xlsread(InputFileExcel,sheet1,xlrange);
    yearsExcel = yearsExcel';
    
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
   
% 1. Round to 5th decimal digit and add years headline
        
MIU                  = round(MIU*1e9)/1e9;
MIU(end)             = [];
MIU_0_MC             = [years'; MIU'];

S                    = round(S*1e9)/1e9;
S(end)               = [];
S_0_MC               = [years'; S'];

L_0_MC               = round(L_0_MC*1e9)/1e9;
L_0_MC               = [years'; L_0_MC];

GA_0_MC              = round(GA_0_MC*1e9)/1e9;
GA_0_MC              = [years'; GA_0_MC];

AL_0_MC              = round(AL_0_MC*1e9)/1e9;
AL_0_MC              = [years'; AL_0_MC];

GSIG_0_MC            = round(GSIG_0_MC*1e9)/1e9;
GSIG_0_MC            = [years'; GSIG_0_MC];
 
SIGMA_0_MC           = round(SIGMA_0_MC*1e9)/1e9;
SIGMA_0_MC           = [years'; SIGMA_0_MC];

FORCOTH_0_MC         = round(FORCOTH_0_MC*1e9)/1e9;
FORCOTH_0_MC         = [years'; FORCOTH_0_MC];

PBACKTIME_0_MC       = round(PBACKTIME_0_MC*1e9)/1e9;
PBACKTIME_0_MC       = [years'; PBACKTIME_0_MC];

COST1_0_MC           = round(COST1_0_MC*1e9)/1e9;
COST1_0_MC           = [years'; COST1_0_MC];
    
YGROSS_PCF_R_MC      = round(YGROSS_PCF_R_MC*1e9)/1e9;
YGROSS_PCF_R_MC      = [years'; YGROSS_PCF_R_MC];

YGROSS_PCF_MC        = round(YGROSS_PCF_MC*1e9)/1e9;
YGROSS_PCF_MC        = [years'; YGROSS_PCF_MC];

ETREE_0_MC           = round(ETREE_0_MC*1e9)/1e9;
ETREE_0_MC           = [years'; ETREE_0_MC];

EIND_PCF_R_MC        = round(EIND_PCF_R_MC*1e9)/1e9;
EIND_PCF_R_MC        = [years'; EIND_PCF_R_MC];

EIND_PCF_MC          = round(EIND_PCF_MC*1e9)/1e9;
EIND_PCF_MC          = [years'; EIND_PCF_MC];

MAT_PCF_R_MC         = round(MAT_PCF_R_MC*1e9)/1e9;
MAT_PCF_R_MC         = [years';MAT_PCF_R_MC];

MAT_PCF_MC           = round(MAT_PCF_MC*1e9)/1e9;
MAT_PCF_MC           = [years';MAT_PCF_MC];

FORC_PCF_R_MC        = round(FORC_PCF_R_MC*1e9)/1e9;
FORC_PCF_R_MC        = [years';FORC_PCF_R_MC];

FORC_PCF_MC          = round(FORC_PCF_MC*1e9)/1e9;
FORC_PCF_MC          = [years';FORC_PCF_MC];

TOCEAN_PCF_R_MC      = round(TOCEAN_PCF_R_MC*1e9)/1e9;
TOCEAN_PCF_R_MC      = [years';TOCEAN_PCF_R_MC];

TOCEAN_PCF_MC        = round(TOCEAN_PCF_MC*1e9)/1e9;
TOCEAN_PCF_MC        = [years';TOCEAN_PCF_MC];

TATM_PCF_R_MC        = round(TATM_PCF_R_MC*1e9)/1e9;
TATM_PCF_R_MC        = [years'; TATM_PCF_R_MC];

TATM_PCF_MC          = round(TATM_PCF_MC*1e9)/1e9;
TATM_PCF_MC          = [years'; TATM_PCF_MC];

REL_DAMAGES_PCF_R_MC = round(REL_DAMAGES_PCF_R_MC*1e9)/1e9;
REL_DAMAGES_PCF_R_MC = [years';REL_DAMAGES_PCF_R_MC];

REL_DAMAGES_PCF_MC   = round(REL_DAMAGES_PCF_MC*1e9)/1e9;
REL_DAMAGES_PCF_MC   = [years';REL_DAMAGES_PCF_MC];

DAMAGES_PCF_R_MC     = round(DAMAGES_PCF_R_MC*1e9)/1e9;
DAMAGES_PCF_R_MC     = [years'; DAMAGES_PCF_R_MC];

DAMAGES_PCF_MC       = round(DAMAGES_PCF_MC*1e9)/1e9;
DAMAGES_PCF_MC       = [years'; DAMAGES_PCF_MC];

YNET_PCF_R_MC        = round(YNET_PCF_R_MC*1e9)/1e9;
YNET_PCF_R_MC        = [years'; YNET_PCF_R_MC];

YNET_PCF_MC          = round(YNET_PCF_MC*1e9)/1e9;
YNET_PCF_MC          = [years'; YNET_PCF_MC];

ABATECOST_PCF_R_MC   = round(ABATECOST_PCF_R_MC*1e9)/1e9;
ABATECOST_PCF_R_MC   = [years'; ABATECOST_PCF_R_MC];

ABATECOST_PCF_MC     = round(ABATECOST_PCF_MC*1e9)/1e9;
ABATECOST_PCF_MC     = [years'; ABATECOST_PCF_MC];

Y_PCF_R_MC           = round(Y_PCF_R_MC*1e9)/1e9;
Y_PCF_R_MC           = [years'; Y_PCF_R_MC];

Y_PCF_MC             = round(Y_PCF_MC*1e9)/1e9;
Y_PCF_MC             = [years'; Y_PCF_MC];

I_PCF_R_MC           = round(I_PCF_R_MC*1e9)/1e9;
I_PCF_R_MC           = [years'; I_PCF_R_MC];

I_PCF_MC             = round(I_PCF_MC*1e9)/1e9;
I_PCF_MC             = [years'; I_PCF_MC];

C_PCF_R_MC           = round(C_PCF_R_MC*1e9)/1e9;
C_PCF_R_MC           = [years'; C_PCF_R_MC];

C_PCF_MC             = round(C_PCF_MC*1e9)/1e9;
C_PCF_MC             = [years'; C_PCF_MC];

K_PCF_R_MC           = round(K_PCF_R_MC*1e9)/1e9;
K_PCF_R_MC           = [years'; K_PCF_R_MC];

K_PCF_MC             = round(K_PCF_MC*1e9)/1e9;
K_PCF_MC             = [years'; K_PCF_MC];

N2O_CONC_0_MC        = round(N2O_CONC_0_MC*1e9)/1e9; 
N2O_CONC_0_MC        = [years'; N2O_CONC_0_MC];

CH4_OTHER_EMISSIONS_0_MC  = round(CH4_OTHER_EMISSIONS_0_MC*1e9)/1e9; 
CH4_OTHER_EMISSIONS_0_MC  = [years'; CH4_OTHER_EMISSIONS_0_MC];

FLUX_CH4_EMISSIONS_PCF_R_MC  = round(FLUX_CH4_EMISSIONS_PCF_R_MC*1e9)/1e9;
FLUX_CH4_EMISSIONS_PCF_R_MC  = [years'; FLUX_CH4_EMISSIONS_PCF_R_MC];

FLUX_CH4_EMISSIONS_PCF_MC    = round(FLUX_CH4_EMISSIONS_PCF_MC*1e9)/1e9;
FLUX_CH4_EMISSIONS_PCF_MC    = [years'; FLUX_CH4_EMISSIONS_PCF_MC];

CH4_CONC_PPMV_PCF_R_MC  = round(CH4_CONC_PPMV_PCF_R_MC*1e9)/1e9; 
CH4_CONC_PPMV_PCF_R_MC  = [years'; CH4_CONC_PPMV_PCF_R_MC];

CH4_CONC_PPMV_PCF_MC    = round(CH4_CONC_PPMV_PCF_MC*1e9)/1e9; 
CH4_CONC_PPMV_PCF_MC    = [years'; CH4_CONC_PPMV_PCF_MC];

RAD_CH4_PCF_R_MC        = round(RAD_CH4_PCF_R_MC*1e9)/1e9; 
RAD_CH4_PCF_R_MC        = [years'; RAD_CH4_PCF_R_MC];

RAD_CH4_PCF_MC          = round(RAD_CH4_PCF_MC*1e9)/1e9; 
RAD_CH4_PCF_MC          = [years'; RAD_CH4_PCF_MC];

RAD_N2O_PCF_R_MC        = round(RAD_N2O_PCF_R_MC*1e9)/1e9; 
RAD_N2O_PCF_R_MC        = [years'; RAD_N2O_PCF_R_MC];
  
RAD_N2O_PCF_MC          = round(RAD_N2O_PCF_MC*1e9)/1e9; 
RAD_N2O_PCF_MC          = [years'; RAD_N2O_PCF_MC];

RAD_TOT_PCF_R_MC        = round(RAD_TOT_PCF_R_MC*1e9)/1e9; 
RAD_TOT_PCF_R_MC        = [years'; RAD_TOT_PCF_R_MC];

RAD_TOT_PCF_MC          = round(RAD_TOT_PCF_MC*1e9)/1e9; 
RAD_TOT_PCF_MC          = [years'; RAD_TOT_PCF_MC];


   

%--------------------------------------------------------------------------
% Export SCC and calcs in Excel  
%-------------------------------------------------------------------------- 
    
% Interpolated data
            
            %temp = (year_SCC-2010)/5+1;
            %years_interp = (years(temp):end_date);
            
            %sheet       = ['Interp'];
            %datanote    = {'Interpolated data'};
            %xlswrite(filename,datanote,sheet,'A1');
                      
            % Interpolated data
            %datanote   = {'L_0_i'};
            %data        = [years_interp; L_0_i'];
            %data_cells  = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A4');
            %xlswrite(filename,data_cells,sheet,'A5');  
            
            % Interpolated data
            %datanote   = {'C_R_i'};
            %data        = [years_interp; C_R_i'];
            %data_cells  = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
            % Interpolated data
            %datanote   = {'C_i'};
            %data        = [years_interp; C_i'];
            %data_cells  = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A12');
            %xlswrite(filename,data_cells,sheet,'A13');
            
            % Interpolated data
            %datanote   = {'C_PCF_R_i'};
            %data        = [years_interp; C_PCF_R_i'];
            %data_cells  = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A16');
            %xlswrite(filename,data_cells,sheet,'A17');
            
            % Interpolated data
            %datanote   = {'C_PCF_i'};
            %data        = [years_interp; C_PCF_i'];
            %data_cells  = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A20');
            %xlswrite(filename,data_cells,sheet,'A21');
            
            
%--------------------------------------------------------------------------             
%SCC_const
            sheet       = ['SCC_CONST'];
            datanote    = {'SCC calculations (constant discount rate)'};
            xlswrite(filename,datanote,sheet,'A1');
                      
            % SCC (Ramsey discounting)
            datanote   = {'SCC (constant discount rate) - without the PCF'};
            data        = [rate_vect;SCC_const];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');  
            
            % SCC (Ramsey discounting)
            datanote   = {'SCC (constant discount rate) - with the PCF'};
            data        = [rate_vect;SCC_PCF_const];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9'); 
            
            
%--------------------------------------------------------------------------             
%SCC_ram
            sheet       = ['SCC_RAM'];
            datanote    = {'SCC calculations (Ramsey discounting)'};
            xlswrite(filename,datanote,sheet,'A1');
                      
            % SCC (Ramsey discounting)
            datanote   = {'SCC (Ramsey discounting) - without the PCF'};
            data        = [eta_vect;SCC_ram];
            temp        = [0; rho_vect'];
            data        = [temp data];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');  
            
            % SCC (Ramsey discounting)
            datanote   = {'SCC (Ramsey discounting) - with the PCF'};
            data        = [eta_vect;SCC_PCF_ram];
            temp        = [0; rho_vect'];
            data        = [temp data];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A11');
            xlswrite(filename,data_cells,sheet,'A12');  
    
%--------------------------------------------------------------------------
% Export reference and perturbed paths matrices in Excel          
%--------------------------------------------------------------------------        

%   *MIU*   Reference emissions control rate (same paths for perturbed)
            %sheet      = ['MIU'];
            %datanote   = {'Emissions control rate:MIU'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = n/a'};
            %xlswrite(filename,datanote,sheet,'A2');      
               
            % Emissions control rate path from Matlab model
            %datanote   = {'Emissions control rate path from the Matlab model'};
            %data       = MIU_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A4'); 
            %xlswrite(filename,data_cells,sheet,'A5');
        
            % Emissions control rate path from the Excel version of DICE-2013R (sheet1)
            %temp1 = xlsread(InputFileExcel,sheet1,'F46:BM46');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Emissions control rate path from the Excel model - Model_Base'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
            % Emissions control rate path from the Excel version of DICE-2013R (sheet2)
            %temp1 = xlsread(InputFileExcel,sheet2,'F46:BM46');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Emissions control rate path from the Excel model - Model_Base_plus1'};
            %xlswrite(filename,datanote,sheet,'A12');
            %xlswrite(filename,data_cells,sheet,'A13');
        
%--------------------------------------------------------------------------                            
%   *S*   Reference savings (same paths for perturbed)
            %sheet      = ['S'];
            %datanote   = {'Savings rate:S'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = n/a'};
            %xlswrite(filename,datanote,sheet,'A2');      
               
            % Emissions savings rate path from Matlab model
            %datanote   = {'Savings rate path from the Matlab model'};
            %data       = S_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A4'); 
            %xlswrite(filename,data_cells,sheet,'A5');
        
            % Savings rate path from the Excel version of DICE-2013R (sheet1)
            %temp1 = xlsread(InputFileExcel,sheet1,'F48:BM48');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Savings rate path from the Excel model - Model_Base'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
            % Emissions control rate path from the Excel version of DICE-2013R (sheet2)
            %temp1 = xlsread(InputFileExcel,sheet2,'F48:BM48');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Savings rate path from the Excel model - Model_Base_plus1'};
            %xlswrite(filename,datanote,sheet,'A12');
            %xlswrite(filename,data_cells,sheet,'A13');
            
%--------------------------------------------------------------------------                            
%   *L_0*   Reference population (same paths for perturbed)
            %sheet      = ['L_0'];
            %datanote   = {'Population path: L_0'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = millions'};
            %xlswrite(filename,datanote,sheet,'A2');      
               
            % Population path from Matlab model
            %datanote   = {'Population path from the Matlab model'};
            %data       = L_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A4');
            %xlswrite(filename,data_cells,sheet,'A5');
        
            % Population path from the Excel version of DICE-2013R (sheet1)
            %temp1 = xlsread(InputFileExcel,sheet1,'F8:BM8');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Population path from the Excel model - Model_Base'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
            % Population path from the Excel version of DICE-2013R (sheet2)
            %temp1 = xlsread(InputFileExcel,sheet2,'F8:BM8');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Population path from the Excel model - Model_Base_plus1'};
            %xlswrite(filename,datanote,sheet,'A12');
            %xlswrite(filename,data_cells,sheet,'A13');
            
            
%--------------------------------------------------------------------------                            
%   *GA_0*  Reference TFP growth(same paths for perturbed)
            %sheet      = ['GA_0'];
            %datanote   = {'TFP growth path: GA_0'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = na'};
            %xlswrite(filename,datanote,sheet,'A2');      
               
            % TFP growth from Matlab model
            %datanote   = {'TFP growth from the Matlab model'};
            %data       = GA_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A4');  
            %xlswrite(filename,data_cells,sheet,'A5');
        
            % TFP growth from the Excel version of DICE-2013R (sheet1)
            %temp1 = xlsread(InputFileExcel,sheet1,'F12:BM12');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'TFP growth path from the Excel model - Model_Base'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
            % TFP growth from the Excel version of DICE-2013R (sheet2)
            %temp1 = xlsread(InputFileExcel,sheet2,'F12:BM12');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'TFP growth path from the Excel model - Model_Base_plus1'};
            %xlswrite(filename,datanote,sheet,'A12');
            %xlswrite(filename,data_cells,sheet,'A13');
            
%--------------------------------------------------------------------------                            
%   *AL_0*  Reference level of TFP(same paths for perturbed)
            %sheet      = ['AL_0'];
            %datanote   = {'Level of TFP path: AL_0'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = na'};
            %xlswrite(filename,datanote,sheet,'A2');      
               
            % Level of TFP from Matlab model
            %datanote   = {'Level of TFP growth from the Matlab model'};
            %data       = AL_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A4');
            %xlswrite(filename,data_cells,sheet,'A5');
        
            % Level of TFP from the Excel version of DICE-2013R (sheet1)
            %temp1 = xlsread(InputFileExcel,sheet1,'F10:BM10');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Level of TFP path from the Excel model - Model_Base'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
            % Level of TFP from the Excel version of DICE-2013R (sheet2)
            %temp1 = xlsread(InputFileExcel,sheet2,'F10:BM10');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Level of TFP path from the Excel model - Model_Base_plus1'};
            %xlswrite(filename,datanote,sheet,'A12');
            %xlswrite(filename,data_cells,sheet,'A13');
            
%--------------------------------------------------------------------------                            
% *GSIG_0*  Reference change in sigma(same paths for perturbed)
            %sheet      = ['GSIG_0'];
            %datanote   = {'Change in sigma path: GSIG_0'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = na'};
            %xlswrite(filename,datanote,sheet,'A2');      
               
            % Change in sigma from Matlab model
            %datanote   = {'Change in sigma from the Matlab model'};
            %data       = GSIG_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A4');  
            %xlswrite(filename,data_cells,sheet,'A5');
        
            % Change in sigma from the Excel version of DICE-2013R (sheet1)
            %temp1 = xlsread(InputFileExcel,sheet1,'F14:BM14');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Change in sigma path from the Excel model - Model_Base'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
            % Change in sigma from the Excel version of DICE-2013R (sheet2)
            %temp1 = xlsread(InputFileExcel,sheet2,'F14:BM14');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Change in sigma path from the Excel model - Model_Base_plus1'};
            %xlswrite(filename,datanote,sheet,'A12');
            %xlswrite(filename,data_cells,sheet,'A13');

%--------------------------------------------------------------------------                            
% *SIGMA_0* Reference CO2eq-output ratio(same paths for perturbed)
            %sheet      = ['SIGMA_R'];
            %datanote   = {'CO2eq-output ratio path: SIGMA_0'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = na'};
            %xlswrite(filename,datanote,sheet,'A2');      
               
            % Emissions control rate path from Matlab model
            %datanote   = {'CO2eq-output ratio path from the Matlab model'};
            %xlswrite(filename,datanote,sheet,'A4');    
            %data       = SIGMA_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,data_cells,sheet,'A5');

            % Emissions control rate path from the Excel version of DICE-2013R
            %temp3 = xlsread(InputFileExcel,'Base','B43:BI43');
            %temp3 = round(temp3*1e9)/1e9;
            %data=[yearsExcel'; temp3];
            %data_cells=num2cell(data);
            %datanote = {'CO2eq-output ratio path from the Excel model'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
%--------------------------------------------------------------------------                            
% *PBACKTIME_0* Reference
            %sheet      = ['PBACKTIME_0'];
            %datanote   = {'Pbacktime'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = na'};
            %xlswrite(filename,datanote,sheet,'A2');      
               
            % Emissions control rate path from Matlab model
            %datanote   = {'Pbacktime path from the Matlab model'};
            %xlswrite(filename,datanote,sheet,'A4');    
            %data       = PBACKTIME_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,data_cells,sheet,'A5');

            % Emissions control rate path from the Excel version of DICE-2013R
            %temp3 = xlsread(InputFileExcel,'Base','B36:BI36');
            %temp3 = round(temp3*1e9)/1e9;
            %data=[yearsExcel'; temp3];
            %data_cells=num2cell(data);
            %datanote = {'Pbacktime path from the Excel model'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');

%--------------------------------------------------------------------------                            
%*FORCOTH_0*Reference exogenous forcing (same paths for perturbed)
            %sheet      = ['FORCOTH_0'];
            %datanote   = {'Exogenous forcing MC matrix: FORCOTH_0'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = Watts per square meter'};
            %xlswrite(filename,datanote,sheet,'A2');

            % Exogenous forcings path from Matlab model
            %datanote   = {'Exogenous forcing path from the Matlab model'};
            %data       = FORCOTH_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A4');
            %xlswrite(filename,data_cells,sheet,'A5');

            % Exogenous forcings path from the Excel version of DICE-2013R
            % (sheet1)
            %temp4 = xlsread(InputFileExcel,sheet1,'F16:BM16');
            %temp4 = round(temp4*1e9)/1e9;
            %data=[yearsExcel'; temp4];
            %data_cells=num2cell(data);
            %datanote = {'Exogenous forcing path from the Excel model - Model_Base'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
            % Exogenous forcings path from the Excel version of DICE-2013R
            % (sheet2)
            %temp1 = xlsread(InputFileExcel,sheet2,'F16:BM16');
            %temp1 = round(temp1*1e9)/1e9;
            %data=[yearsExcel'; temp1];
            %data_cells=num2cell(data);
            %datanote = {'Change in sigma path from the Excel model - Model_Base_plus1'};
            %xlswrite(filename,datanote,sheet,'A12');
            %xlswrite(filename,data_cells,sheet,'A13');

%--------------------------------------------------------------------------                            
% *ETREE_0* Reference emissions from land use change (same path for
        % perturbed)        
            %sheet      = ['ETREE_0'];
            %datanote   = {'Emissions from land use change MC matrix: ETREE_0'};
            %xlswrite(filename,datanote,sheet,'A1');
            %datanote   = {'Unit = GtC per year'};
            %xlswrite(filename,datanote,sheet,'A2');

            % Emissions from land use change from Matlab model
            %datanote   = {'Emissions from land use change path from the Matlab model'};
            %data       = ETREE_0_MC(1:2,:);
            %data_cells = num2cell(data);
            %xlswrite(filename,datanote,sheet,'A4');
            %xlswrite(filename,data_cells,sheet,'A5');    

            % Emissions from land use change from Excel version of
            % DICE-2013R (sheet1)
            %temp7 = xlsread(InputFileExcel,sheet1,'F20:BM20');
            %temp7 = round(temp7*1e9)/1e9;
            %data=[yearsExcel'; temp7];
            %data_cells=num2cell(data);
            %datanote = {'Emissions from land use change path from the Excel model - Model_Base'};
            %xlswrite(filename,datanote,sheet,'A8');
            %xlswrite(filename,data_cells,sheet,'A9');
            
            % Emissions from land use change from Excel version of
            % DICE-2013R (sheet2)
            %temp7 = xlsread(InputFileExcel,sheet2,'F20:BM20');
            %temp7 = round(temp7*1e9)/1e9;
            %data=[yearsExcel'; temp7];
            %data_cells=num2cell(data);
            %datanote = {'Emissions from land use change path from the Excel model - Model_Base_plus1'};
            %xlswrite(filename,datanote,sheet,'A12');
            %xlswrite(filename,data_cells,sheet,'A13');
    
%--------------------------------------------------------------------------                            
%*YGROSS*   Gross output
            sheet      = ['YGROSS'];
            datanote   = {'Gross output: YGROSS'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference gross output path from Matlab model
            datanote   = {'REFERENCE gross output path from the MATLAB model'};
            data       = YGROSS_PCF_R_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference gross output path from the Excel version of
            % DICE-2013R (sheet1)
            temp5 = xlsread(InputFileExcel,sheet1,'F18:BM18');
            temp5 = round(temp5*1e9)/1e9;
            data=[yearsExcel'; temp5];
            data_cells=num2cell(data);
            datanote = {'REFERENCE gross output path from the EXCEL model - Model_Base'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

            % Perturbed gross output from Matlab model
            datanote   = {'PERTURBED gross output path from the MATLAB model'};
            data       = YGROSS_PCF_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');
            
            % Perturbed gross output path from the Excel version of
            % DICE-2013R (sheet2)
            temp5 = xlsread(InputFileExcel,sheet2,'F18:BM18');
            temp5 = round(temp5*1e9)/1e9;
            data=[yearsExcel'; temp5];
            data_cells=num2cell(data);
            datanote = {'PERTURBED gross output path from the EXCEL model - Model_Base_plus1'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
                         
            
%--------------------------------------------------------------------------                                        
% *EIND*    Industrial emissions
            sheet      = ['EIND'];
            datanote   = {'Industrial emissions: EIND'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = GtC per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference industrial emissions from Matlab model
            datanote   = {'REFERENCE industrial emissions path from the MATLAB model'};
            data       = EIND_PCF_R_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference industrial emissions path from the Excel version of
            % DICE-2013R (sheet1)
            temp8 = xlsread(InputFileExcel,sheet1,'F22:BM22');
            temp8 = round(temp8*1e9)/1e9;
            data=[yearsExcel'; temp8];
            data_cells=num2cell(data);
            datanote = {'REFERENCE industrial emissions path from the EXCEL model - Model_PCF'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
                        
            % Pertubed industrial emissions from Matlab model
            datanote   = {'PERTUBED industrial emissions path from the MATLAB model'};
            data       = EIND_PCF_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');
            
            % Perturbed industrial emissions path from the Excel version of
            % DICE-2013R (sheet2)
            temp9 = xlsread(InputFileExcel,sheet2,'F22:BM22');
            temp9 = round(temp9*1e9)/1e9;
            data=[yearsExcel'; temp9];
            data_cells=num2cell(data);
            datanote = {'PERTURBED industrial emissions path from the EXCEL model - Model_Base_plus1'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
            
       
                 
%--------------------------------------------------------------------------                            
% *MAT*     Carbon concentration      
            sheet      = ['MAT'];
            datanote   = {'Carbon concentration: MAT'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = GTC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference carbon concentration from Matlab model
            datanote   = {'REFERENCE carbon concentration path from the MATLAB model'};
            data       = MAT_PCF_R_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference carbon concentration path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F24:BM24');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote = {'REFERENCE carbon concentration path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');

            % Pertubed carbon concentration from Matlab model
            datanote   = {'PERTURBED carbon concentration path from the MATLAB model'};
            data       = MAT_PCF_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed carbon concentration path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F24:BM24');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote = {'PERTURBED carbon concentration path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');


%--------------------------------------------------------------------------                            
% *TATM*    Atmospheric temperature
            sheet      = ['TATM'];
            datanote   = {'Atmospheric temperature change: TATM'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = degrees Celsius above preindustrial level'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference atmospheric temperature from Matlab model
            datanote   = {'REFERENCE atmospheric temperature change path from the MATLAB model'};
            data       = TATM_PCF_R_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference atmospheric temperature change path from Excel
            % version of DICE-2013R (sheet1)
            temp = xlsread(InputFileExcel,sheet1,'F28:BM28');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote = {'REFERENCE atmospheric temperature change path from the EXCEL model - Model_Base'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed atmospheric temperature from Matlab model
            datanote   = {'PERTURBED atmospheric temperature change path from the MATLAB model'};
            data       = TATM_PCF_MC(1:2,:);
            data_cells = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');
            
            % Perturbed atmospheric temperature path from the Excel version of
            % DICE-2013R (sheet2)
            temp9 = xlsread(InputFileExcel,sheet2,'F28:BM28');
            temp9 = round(temp9*1e9)/1e9;
            data=[yearsExcel'; temp9];
            data_cells=num2cell(data);
            datanote = {'PERTURBED atmospheric temperature change path from the EXCEL model - Model_Base_plus1'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
         
            
            
%--------------------------------------------------------------------------                            
%*REL_DAMAGES* Relative damages
            sheet      = ['REL_DAMAGES'];
            datanote   = {'Relative damages: REL_DAMAGES'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = n/a'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference relative damages from Matlab model
            datanote   = {'REFERENCE relative damages path from the MATLAB model'};
            data        = REL_DAMAGES_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference relative damages path from Excel version of DICE-2013R
            % (sheet1)
            temp = xlsread(InputFileExcel,sheet1,'F32:BM32');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE relative damages path from the EXCEL model - Model_Base'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed relative damages from Matlab model
            datanote   = {'PERTURBED relative damages path from the MATLAB model'};
            data        = REL_DAMAGES_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');
                                   
            % Perturbed relative damages path from the Excel version of
            % DICE-2013R (sheet2)
            temp9 = xlsread(InputFileExcel,sheet2,'F32:BM32');
            temp9 = round(temp9*1e9)/1e9;
            data=[yearsExcel'; temp9];
            data_cells=num2cell(data);
            datanote = {'PERTURBED relative damages path from the EXCEL model - Model_Base_plus1'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');            
      
%--------------------------------------------------------------------------                            
%*DAMAGES   * Damages
            sheet      = ['DAMAGES'];
            datanote   = {'Damages: DAMAGES'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference damages from Matlab model
            datanote   = {'REFERENCE damages path from the MATLAB model'};
            data        = DAMAGES_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference damages path from Excel version of DICE-2013R
            % (sheet1)
            temp = xlsread(InputFileExcel,sheet1,'F34:BM34');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE damages path from the EXCEL model - Model_Base'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed damages from Matlab model
            datanote   = {'PERTURBED damages path from the MATLAB model'};
            data        = DAMAGES_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');
                                   
            % Perturbed damages path from the Excel version of
            % DICE-2013R (sheet2)
            temp9 = xlsread(InputFileExcel,sheet2,'F34:BM34');
            temp9 = round(temp9*1e9)/1e9;
            data=[yearsExcel'; temp9];
            data_cells=num2cell(data);
            datanote = {'PERTURBED damages path from the EXCEL model - Model_Base_plus1'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');


%--------------------------------------------------------------------------                            
% *YNET*    Net output (net of damages)
            sheet       = ['YNET'];
            datanote    = {'Net output (net of damages): YNET'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference net output (net of damages) from Matlab model
            datanote   = {'REFERENCE net output (net of damages) path from the MATLAB model'};
            data        = YNET_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5'); 

            %  Reference YNET path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F36:BM36');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE net ouput (net of damages) path from the Excel model - Model_Base'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed net output (net of damages) from Matlab model
            datanote   = {'PERTURBED net output path from the MATLAB model'};
            data        = YNET_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13'); 
            
            %  Perturbed YNET path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F36:BM36');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED net ouput (net of damages) path from the Excel model - Model_Base_plus1'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');


%--------------------------------------------------------------------------                            
%*ABATECOST * Abatement costs
            sheet       = ['ABATECOST'];
            datanote    = {'Abatement costs: ABATECOST'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference abatement costs from the Matlab model
            datanote   = {'REFERENCE abatement costs path from the MATLAB model'};
            data        = ABATECOST_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference abatement costs path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F38:BM38');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'Reference abatement costs path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed abatement costs from the Matlab model
            datanote   = {'PERTURBED abatement costs path from the MATLAB model'};
            data        = ABATECOST_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');
            
            % Perturbed abatement costs path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F38:BM38');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED abatement costs path from the Excel model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
            

%--------------------------------------------------------------------------                            
%   *Y*     Net output (net of damages and abatement costs)
            sheet       = ['Y'];
            datanote    = {'Net output (net of damages and abatement costs): Y'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference net output from the Matlab model
            datanote   = {'REFERENCE net output path (net of damages and abatement costs) from the MATLAB model'};
            data        = Y_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference net output path from the Excel version of
            % DICE-2013R (sheet1)
            temp = xlsread(InputFileExcel,sheet1,'F40:BM40');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE net output (net of damages and abatement costs) path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed net output from the Matlab model
            datanote   = {'PERTURBED net output path (net of damages and abatement costs) from the MATLAB model'};
            data        = Y_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed net output path from Excel version of DICE-2013R
            % (sheet2)
            temp = xlsread(InputFileExcel,sheet2,'F40:BM40');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED net output (net of damages and abatement costs) path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
            
%--------------------------------------------------------------------------                            
%  *I*      Investment
            sheet       = ['I'];
            datanote    = {'Investment: I'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference investment from the Matlab model
            datanote   = {'REFERENCE investment path from the MATLAB model'};
            data        = I_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference investment path from the Excel version of
            % DICE-2013R (sheet2)
            temp = xlsread(InputFileExcel,sheet1,'F42:BM42');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE investment path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
        
            % Perturbed investment from the Matlab model
            datanote   = {'PERTURBED investment path from the MATLAB model'};
            data        = I_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed investment path from Excel version of DICE-2013R
            % (sheet2)
            temp = xlsread(InputFileExcel,sheet2,'F42:BM42');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED investment path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');

%--------------------------------------------------------------------------                            
%  *C*      Consumption
            sheet       = ['C'];
            datanote    = {'Consumption: C'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference consumption from the Matlab model
            datanote   = {'REFERENCE consumption path from the MATLAB model'};
            data        = C_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F44:BM44');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE consumption path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed consumption from the Matlab model
            datanote   = {'PERTURBED consumption path from the MATLAB model'};
            data        = C_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F44:BM44');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED consumption path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
        
%--------------------------------------------------------------------------                            
%  *K*      Capital
            sheet       = ['K'];
            datanote    = {'Capital'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = US$ trillions per year'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference capital from the Matlab model
            datanote   = {'REFERENCE capital path from the MATLAB model'};
            data        = K_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference capital path from Excel version of DICE-2013R
            % (sheet1)
            temp = xlsread(InputFileExcel,sheet1,'F46:BM46');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE capital path from the EXCEL model - Model_Base'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed capital from the Matlab model
            datanote   = {'PERTURBED capital path from the Matlab model'};
            data        = K_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed capital path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F46:BM46');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED capital path from the Excel model - Model_Base_plus1'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');

%--------------------------------------------------------------------------                            
% *FLUX_CH4_EMISSIONS* 
            sheet       = ['FLUX_CH4'];
            datanote    = {'FLUX_CH4'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = TBC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference consumption from the Matlab model
            datanote   = {'REFERENCE X path from the MATLAB model'};
            data        = FLUX_CH4_EMISSIONS_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F56:BM56');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed consumption from the Matlab model
            datanote   = {'PERTURBED consumption path from the MATLAB model'};
            data        = FLUX_CH4_EMISSIONS_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F56:BM56');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');           
            
            
%--------------------------------------------------------------------------                            
% *CH4_OTHER_EMISSIONS_0* 
            sheet       = ['CH4_OTHER_0'];
            datanote    = {'CH4_OTHER_EMISSIONS_0'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = TBC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference consumption from the Matlab model
            datanote   = {'REFERENCE X path from the MATLAB model'};
            data        = CH4_OTHER_EMISSIONS_0_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F58:BM58');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed consumption from the Matlab model
            datanote   = {'PERTURBED consumption path from the MATLAB model'};
            data        = CH4_OTHER_EMISSIONS_0_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F58:BM58');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
         

            
%--------------------------------------------------------------------------                            
% *CH4_conc_PPMV* 
            sheet       = ['CH4_CONC_PPMV'];
            datanote    = {'CH4_CONC_PPMV'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = TBC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference consumption from the Matlab model
            datanote   = {'REFERENCE X path from the MATLAB model'};
            data        = CH4_CONC_PPMV_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F60:BM60');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed consumption from the Matlab model
            datanote   = {'PERTURBED consumption path from the MATLAB model'};
            data        = CH4_CONC_PPMV_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F60:BM60');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
            
%--------------------------------------------------------------------------                            
% *N2O_conc* 
            sheet       = ['N2O_CONC'];
            datanote    = {'N2O_CONC'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = TBC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference consumption from the Matlab model
            datanote   = {'REFERENCE X path from the MATLAB model'};
            data        = N2O_CONC_0_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F62:BM62');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed consumption from the Matlab model
            datanote   = {'PERTURBED consumption path from the MATLAB model'};
            data        = N2O_CONC_0_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F62:BM62');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
            
%--------------------------------------------------------------------------
%  *RAD_CH4* 
            sheet       = ['RAD_CH4'];
            datanote    = {'RAD_CH4'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = TBC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference consumption from the Matlab model
            datanote   = {'REFERENCE X path from the MATLAB model'};
            data        = RAD_CH4_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F64:BM64');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed consumption from the Matlab model
            datanote   = {'PERTURBED consumption path from the MATLAB model'};
            data        = RAD_CH4_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F64:BM64');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
        
%--------------------------------------------------------------------------            
% *RAD_N2O* 
            sheet       = ['RAD_N2O'];
            datanote    = {'RAD_N2O'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = TBC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference consumption from the Matlab model
            datanote   = {'REFERENCE X path from the MATLAB model'};
            data        = RAD_N2O_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F66:BM66');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed consumption from the Matlab model
            datanote   = {'PERTURBED X path from the MATLAB model'};
            data        = RAD_N2O_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F66:BM66');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
        
%--------------------------------------------------------------------------           
%*RAD_TOT_PCF* 
            sheet       = ['RAD_TOT_PCF'];
            datanote    = {'RAD_TOT_PCF'};
            xlswrite(filename,datanote,sheet,'A1');
            datanote   = {'Unit = TBC'};
            xlswrite(filename,datanote,sheet,'A2');

            % Reference consumption from the Matlab model
            datanote   = {'REFERENCE X path from the MATLAB model'};
            data        = RAD_TOT_PCF_R_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');

            % Reference consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet1,'F70:BM70');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'REFERENCE X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Perturbed consumption from the Matlab model
            datanote   = {'PERTURBED X path from the MATLAB model'};
            data        = RAD_TOT_PCF_MC(1:2,:);
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');

            % Perturbed consumption path from Excel version of DICE-2013R
            temp = xlsread(InputFileExcel,sheet2,'F70:BM70');
            temp = round(temp*1e9)/1e9;
            data=[yearsExcel'; temp];
            data_cells=num2cell(data);
            datanote={'PERTURBED X path from the EXCEL model'};
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
        
%--------------------------------------------------------------------------            
            
            
            
            
            
            
         
            
            

end

