function [ output_args ] = Function_SCC(QUADRATIC, WEITZMAN, years, end_date, year_SCC, rate_vect, eta_vect, rho_vect, C_R_i, C_i, L_0_i, C_PCF_R_i, C_PCF_i, SCC_ram, SCC_PCF_ram, SCC_const, SCC_PCF_const)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here


warning off MATLAB:xlswrite:AddSheet;

if QUADRATIC ==1   
    filename = [pwd,'\OUTPUT_SCC_QUADRATIC_' date '.xlsx'];
    elseif WEITZMAN == 1 
    filename = [pwd,'\OUTPUT_SCC_WEITZMAN_' date '.xlsx'];
end;

temp = (year_SCC-2010)/5+1;
years_interp = (years(temp):end_date);

  
            
%--------------------------------------------------------------------------
% Interpolated data
            sheet       = ['Interp'];
            datanote    = {'Interpolated data'};
            xlswrite(filename,datanote,sheet,'A1');
                      
            % Interpolated data
            datanote   = {'L_0_i'};
            data        = [years_interp; L_0_i'];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');  
            
            % Interpolated data
            datanote   = {'C_R_i'};
            data        = [years_interp; C_R_i'];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9');
            
            % Interpolated data
            datanote   = {'C_i'};
            data        = [years_interp; C_i'];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A12');
            xlswrite(filename,data_cells,sheet,'A13');
            
            % Interpolated data
            datanote   = {'C_PCF_R_i'};
            data        = [years_interp; C_PCF_R_i'];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A16');
            xlswrite(filename,data_cells,sheet,'A17');
            
            % Interpolated data
            datanote   = {'C_PCF_i'};
            data        = [years_interp; C_PCF_i'];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A20');
            xlswrite(filename,data_cells,sheet,'A21');
            
            
%--------------------------------------------------------------------------             
%SCC_const
            sheet       = ['SCC_CONST'];
            datanote    = {'SCC calculations (constant discount rate)'};
            xlswrite(filename,datanote,sheet,'A1');
                      
            % SCC (Ramsey discounting)
            datanote   = {'SCC (constant discount rate) - without the PCF'};
            data        = [rate_vect;SCC_const];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');  
            
            % SCC (Ramsey discounting)
            datanote   = {'SCC (constant discount rate) - with the PCF'};
            data        = [rate_vect;SCC_PCF_const];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A8');
            xlswrite(filename,data_cells,sheet,'A9'); 
            
            
%--------------------------------------------------------------------------             
%SCC_ram
            sheet       = ['SCC_RAM'];
            datanote    = {'SCC calculations (Ramsey discounting)'};
            xlswrite(filename,datanote,sheet,'A1');
                      
            % SCC (Ramsey discounting)
            datanote   = {'SCC (Ramsey discounting) - without the PCF'};
            data        = [eta_vect;SCC_ram];
            temp        = [0; rho_vect'];
            data        = [temp data];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A4');
            xlswrite(filename,data_cells,sheet,'A5');  
            
            % SCC (Ramsey discounting)
            datanote   = {'SCC (Ramsey discounting) - with the PCF'};
            data        = [eta_vect;SCC_PCF_ram];
            temp        = [0; rho_vect'];
            data        = [temp data];
            data_cells  = num2cell(data);
            xlswrite(filename,datanote,sheet,'A11');
            xlswrite(filename,data_cells,sheet,'A12');             
            

end

