
clear all;

 end_date   = 2300;
 years      = [2015:5:end_date]';
 

    %----------------------------------------------------------------------
    % WITHOUT THE T2C CONSTRAINT
    %----------------------------------------------------------------------
 
    InputFile_NOPCF = [pwd,'\OUTPUT_OPT_W_PATHS_NOPCF_WEITZ.xlsx'];
    REL_ABATECOST_NOPCF        = xlsread(InputFile_NOPCF,'OPT_NOPCF_WEITZ_REL_ABATECOST'); 
    REL_ABATECOST_NOPCF        = REL_ABATECOST_NOPCF(:,2);
    REL_ABATECOST_NOPCF(1)     = []; % to remove year 2010
    
    %YGROSS_NOPCF           = xlsread(InputFile_NOPCF,'OPT_NOPCF_WEITZ_YGROSS'); 
    %YGROSS_NOPCF           = YGROSS_NOPCF(:,2);
    %YGROSS_NOPCF(1)        = []; % to remove year 2010
    
    InputFile_PCF = [pwd,'\OUTPUT_OPT_W_PATHS_PCF_WEITZ.xlsx'];
    REL_ABATECOST_PCF          = xlsread(InputFile_PCF,'OPT_PCF_WEITZ_REL_ABATECOST'); 
    REL_ABATECOST_PCF          = REL_ABATECOST_PCF(:,2);
    REL_ABATECOST_PCF(1)       = []; % to remove year 2010
        
    %YGROSS_PCF             = xlsread(InputFile_PCF,'OPT_PCF_WEITZ_YGROSS'); 
    %YGROSS_PCF             = YGROSS_PCF(:,2);
    %YGROSS_PCF(1)          = []; % to remove year 2010
    
    %x_nocons_nopcf         = ABATECOST_NOPCF/YGROSS_NOPCF;
    %x_nocons_pcf           = ABATECOST_PCF/YGROSS_PCF;

    
    
    
    %----------------------------------------------------------------------
    % WITH THE T2C CONSTRAINT
    %----------------------------------------------------------------------
    

    InputFile_NOPCF_T2C    = [pwd,'\OUTPUT_OPT_W_PATHS_NOPCF_T2C_WEITZ.xlsx'];
    
    REL_ABATECOST_NOPCF_T2C    = xlsread(InputFile_NOPCF_T2C,'OPT_NOPCF_WEITZ_REL_ABATECOST'); 
    REL_ABATECOST_NOPCF_T2C    = REL_ABATECOST_NOPCF_T2C(:,2);
    REL_ABATECOST_NOPCF_T2C(1) = []; % to remove year 2010
    
    %YGROSS_NOPCF_T2C       = xlsread(InputFile_NOPCF_T2C,'OPT_NOPCF_WEITZ_YGROSS'); 
    %YGROSS_NOPCF_T2C       = YGROSS_NOPCF_T2C(:,2);
    %YGROSS_NOPCF_T2C(1)    = []; % to remove year 2010
    
    %----------------------------------------------------------------------
        
    InputFile_PCF_T2C          = [pwd,'\OUTPUT_OPT_W_PATHS_PCF_T2C_WEITZ.xlsx'];
    REL_ABATECOST_PCF_T2C      = xlsread(InputFile_PCF_T2C,'OPT_PCF_WEITZ_REL_ABATECOST'); 
    REL_ABATECOST_PCF_T2C      = REL_ABATECOST_PCF_T2C(:,2);
    REL_ABATECOST_PCF_T2C(1)   = []; % to remove year 2010
    
    %YGROSS_PCF_T2C         = xlsread(InputFile_PCF_T2C,'OPT_PCF_WEITZ_YGROSS'); 
    %YGROSS_PCF_T2C         = YGROSS_PCF_T2C(:,2);
    %YGROSS_PCF_T2C(1)      = []; % to remove year 2010
    
    %x_T2C_nopcf            = ABATECOST_NOPCF_T2C/YGROSS_NOPCF_T2C;
    %x_T2C_pcf              = ABATECOST_PCF_T2C/YGROSS_PCF_T2C;
    
    
   
    
    %----------------------------------------------------------------------
    % DRAW CHART
    %----------------------------------------------------------------------
 
     
    fig1=figure;
    
    % WITHOUT THE CONSTRAINT 
    subplot(1,2,1);
    plot(years, REL_ABATECOST_NOPCF,'-', years, REL_ABATECOST_PCF,'-r')
    axis([2015 2300 0 3]);
    title('Abatement costs - optimal, Weitzman, no constraint');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    ylabel('% of gross output');
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % WITH THE T2C CONSTRAINT  
    subplot(1,2,2);
    plot(years, REL_ABATECOST_NOPCF_T2C,'-', years, REL_ABATECOST_PCF_T2C,'-r')
    axis([2015 2300 0 5]);
    title('Abatement costs - optimal, Weitzman, T2C constraint');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    ylabel('% of gross output');
    legend('excl. the PCF','incl. the PCF','location','Best')
            
    saveas(fig1,[pwd,'\CHART_OPT_W_ABATECOST_WEITZ_REL' date '.fig']);          

    print -depsc eps_CHART_OPT_W_ABATECOST_WEITZ_REL    
    

   