
 end_date   = 2300;
 years      = [2015:5:end_date]';
 

    %----------------------------------------------------------------------
    % WITHOUT THE T2C CONSTRAINT
    %----------------------------------------------------------------------
 
    InputFile_NOPCF = [pwd,'\OUTPUT_OPT_W_PATHS_NOPCF_WEITZ.xlsx'];
    ABATECOST_NOPCF        = xlsread(InputFile_NOPCF,'OPT_NOPCF_WEITZ_ABATECOST'); 
    ABATECOST_NOPCF        = ABATECOST_NOPCF(:,2);
    ABATECOST_NOPCF(1)     = []; % to remove year 2010
    
    InputFile_PCF = [pwd,'\OUTPUT_OPT_W_PATHS_PCF_WEITZ.xlsx'];
    ABATECOST_PCF          = xlsread(InputFile_PCF,'OPT_PCF_WEITZ_ABATECOST'); 
    ABATECOST_PCF          = ABATECOST_PCF(:,2);
    ABATECOST_PCF(1)       = []; % to remove year 2010
    
    

    
    
    
    %----------------------------------------------------------------------
    % WITH THE T2C CONSTRAINT
    %----------------------------------------------------------------------
    

    InputFile_NOPCF = [pwd,'\OUTPUT_OPT_W_PATHS_NOPCF_T2C_WEITZ.xlsx'];
    ABATECOST_NOPCF_T2C    = xlsread(InputFile_NOPCF,'OPT_NOPCF_WEITZ_ABATECOST'); 
    ABATECOST_NOPCF_T2C    = ABATECOST_NOPCF_T2C(:,2);
    ABATECOST_NOPCF_T2C(1) = []; % to remove year 2010
    
    InputFile_PCF = [pwd,'\OUTPUT_OPT_W_PATHS_PCF_T2C_WEITZ.xlsx'];
    ABATECOST_PCF_T2C      = xlsread(InputFile_PCF,'OPT_PCF_WEITZ_ABATECOST'); 
    ABATECOST_PCF_T2C      = ABATECOST_PCF_T2C(:,2);
    ABATECOST_PCF_T2C(1)   = []; % to remove year 2010
    
    
 
    %----------------------------------------------------------------------
    % DRAW CHART
    %----------------------------------------------------------------------

 
     
    fig1=figure;
    
    % WITHOUT THE CONSTRAINT 
    subplot(1,2,1);
    plot(years,ABATECOST_NOPCF,'-', years, ABATECOST_PCF,'-r')
    axis([2015 2300 0 10]);
    ylabel('US$ trillions');
    title('Abatement costs - optimal, Weitzman, no constraint');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % WITHOUT THE CONSTRAINT  
    subplot(1,2,2);
    plot(years,ABATECOST_NOPCF_T2C,'-', years, ABATECOST_PCF_T2C,'-r')
    axis([2015 2300 0 10]);
    ylabel('US$ trillions');
    title('Abatement costs - optimal, Weitzman, T2C constraint');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
        
    
    saveas(fig1,[pwd,'\CHART_OPT_W_ABATECOST_WEITZ_' date '.fig']);          

    print -depsc eps_CHART_OPT_W_ABATECOST_WEITZ    
    

   