function [ ] = Function_SCC_MC_HIST_RAM(QUADRATIC, WEITZMAN, eta, rho, SCC_PCF_ram_MC_QUADRATIC, SCC_PCF_ram_MC_WEITZMAN)

    % Plots SCC histogram, assuming quadratic damages
%--------------------------------------------------------------------------
    
    fig1=figure;
    
    if QUADRATIC ==1
        y = SCC_PCF_ram_MC_QUADRATIC(:,2);
        hist(y);
        mu = mean(y);
        hold on
        plot([mu,mu],ylim,'r--','LineWidth',2) % overlay the mean
        hold off
        ylabel('US$/tCO2');
        title(['SCC - incl. the PCF and assuming a quadratic damage function - rho = ' num2str(rho) ' and eta = ' num2str(eta)]);
       
        saveas(fig1,[pwd,'\CHART_SCC_RAM_HIST_QUADRATIC_' date '.fig']);          

        print -depsc eps_CHART_SCC_RAM_HIST_QUADRATIC
    
    elseif WEITZMAN == 1
        y = SCC_PCF_ram_MC_WEITZMAN(:,2);
        hist(y);
        mu = mean(y);
        hold on
        plot([mu,mu],ylim,'r--','LineWidth',2) % overlay the mean
        hold off
        ylabel('US$/tCO2');
        title(['SCC - incl. the PCF and assuming the Weitzman damage function - rho = ' num2str(rho) ' and eta = ' num2str(eta)]);
       
        saveas(fig1,[pwd,'\CHART_SCC_RAM_HIST_WEITZMAN_' date '.fig']);          

        print -depsc eps_CHART_SCC_RAM_HIST_WEITZMAN
    end
    
    
    
    
end

