function [ output_args ] = Function_SCC_MC_HIST_RAM_2_CHARTS(eta, rho)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

 fig1=figure;
 
 
    InputFile = [pwd,'\OUTPUT_SCC_DATA_QUADRATIC_PCF.xlsx'];
    yQ = xlsread(InputFile,'SCC_DATA_RAM_QUADRATIC');
    yQ = yQ(1,:); 
    muQ = mean(yQ);
    stdQ = std(yQ);
    stdQ = round(stdQ,1);
    
    InputFile = [pwd,'\OUTPUT_SCC_DATA_WEITZMAN_PCF.xlsx'];
    yW = xlsread(InputFile,'SCC_DATA_RAM_WEITZMAN');
    yW = yW(1,:); 
    muW = mean(yW);
    stdW = std(yW);
    stdW = round(stdW,1);
    
    
    
    subplot(1,2,1);
    h1 = histogram(yQ,'Normalization','probability');
    h1.BinEdges = [0:260];
    h1.NumBins = 40;
    hold on
    plot([muQ,muQ],ylim,'r--','LineWidth',2) % overlay the mean
    hold off
    xlabel('US$/tCO2');
    title(['SCC - incl. the PCF, quadratic damages']);
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    muQ = round(muQ,1);
    tempQ = ['Mean = ' num2str(muQ) ', std deviation = ' num2str(stdQ)];
    legend(tempQ);
    
    
    subplot(1,2,2);
    h2 = histogram(yW,'Normalization','probability');
    h2.BinEdges = [0:260];
    h2.NumBins = 40;
    hold on
    plot([muW,muW],ylim,'r--','LineWidth',2) % overlay the mean
    hold off
    xlabel('US$/tCO2');
    title(['SCC - incl. the PCF, Weitzman damages']);
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    muW = round(muW,1);
    tempW = ['Mean = ' num2str(muW) ', std deviation = ' num2str(stdW)];
    legend(tempW);    
        
       
    saveas(fig1,[pwd,'\CHART_SCC_RAM_HIST_2_CHARTS_' date '.fig']);          

    print -depsc eps_CHART_SCC_RAM_HIST_2_CHARTS
    



end

