function [ output_args ] = Function_SCC_MC_HIST_RAM_WITH_BOTH_PCF(eta, rho)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

 fig1=figure;
   
    InputFile = [pwd,'\OUTPUT_SCC_DATA_QUADRATIC_PCF.xlsx'];
    yA = xlsread(InputFile,'SCC_DATA_RAM_QUADRATIC');
    yA = yA(1,:);
   
    InputFile = [pwd,'\OUTPUT_SCC_DATA_WEITZMAN_PCF.xlsx'];
    yB = xlsread(InputFile,'SCC_DATA_RAM_WEITZMAN');
    yB = yB(1,:);
    
    nBins =80;
    
    % Set extrema
    minY = 0; %there are no values lower than this
    maxY = 700; %there are no values higher than this

    % Add in extrema placeholders to adjust bins to a common scale
    yA2 = [yA minY maxY];
    yB2 = [yB minY maxY];

    meanA = mean(yA);
    meanA = round(meanA);
    meanB = mean(yB);
    meanB = round(meanB);
    stdA  = std(yA);
    stdA  = round(stdA);
    stdB  = std(yB);
    stdB  = round(stdB);


    %Create the table of histogram data
    % Bin data
    [countsA2, binsA2] = hist(yA2, nBins);
    [countsB2, binsB2] = hist(yB2, nBins);


    %Remove max and min placeholders
    % Remove extrema placeholders from counts
    histEnds = zeros(size(binsA2));
    %data sets A and B have the same nBins, so binsA2 and binsB2 are same length
    histEnds(1) = 1; %removes minimum placeholder
    histEnds(end) = 1; %removes maximum placeholder

    countsA3 = countsA2 - histEnds;
    countsB3 = countsB2 - histEnds;

    
    valsA = repelem(yA2, nBins);
    valsB = repelem(yB2, nBins);
    hA = histogram(valsA, 'FaceColor','b','EdgeColor', 'k');
    hA.Normalization = 'probability';
    hA.BinWidth = 10.0;

    hold on 
    hB = histogram(valsB, 'FaceColor','c','EdgeColor','k');
    hB.Normalization = 'probability';
    hB.BinWidth = 10.0;
    hB.FaceAlpha = 0.7;
    

    %Create plot
    % Plot histograms
    %hold all
    %bar(binsA2, countsA3, 'b')
    %bar(binsB2, countsB3, 'c')
    %hold off

    % Labels
    set(gca, 'XLim', [minY maxY])
    xlabel('Social cost of carbon (US$/tCO_{2})')
    %ylabel('counts')
    tempA = ['With the DICE-2013R quadratic damage function - mean = ' num2str(meanA) ', std deviation = ' num2str(stdA)];
    tempB = ['With the Weitzman damage function - mean = ' num2str(meanB) ', std deviation = ' num2str(stdB)];
    legend(tempA, tempB);

    
    title(['Impact of the PCF on the SCC - with rho = ' num2str(rho) ' and eta = ' num2str(eta) ' , and based on 10 000 Monte Carlo simulations and with uncertainty on the PCF' ]);
    

       
    saveas(fig1,[pwd,'\CHART_SCC_RAM_HIST_BOTH_PCF_' date '.fig']);          

    print -depsc eps_CHART_SCC_RAM_HIST_BOTH_PCF
    


end

