function [ ] = Function_SCC_HIST( QUADRATIC, WEITZMAN, SCC_PCF_const_MC_QUADRATIC, SCC_PCF_const_MC_WEITZMAN )

    % Plots SCC histogram, assuming quadratic damages
%--------------------------------------------------------------------------
    
    fig1=figure;
    
    if QUADRATIC ==1
        y = SCC_PCF_const_MC_QUADRATIC(:,2);
        hist(y);
        mu = mean(y);
        hold on
        plot([mu,mu],ylim,'r--','LineWidth',2) % overlay the mean
        hold off
        ylabel('US$/tCO2');
        title('SCC - incl. the PCF and assuming a quadratic damage function');
       
        saveas(fig1,[pwd,'\CHART_SCC_HIST_QUADRATIC_' date '.fig']);          

        print -depsc eps_CHART_SCC_HIST_QUADRATIC
    
    elseif WEITZMAN == 1
        y = SCC_PCF_const_MC_WEITZMAN(:,2);
        hist(y);
        mu = mean(y);
        hold on
        plot([mu,mu],ylim,'r--','LineWidth',2) % overlay the mean
        hold off
        ylabel('US$/tCO2');
        title('SCC - incl. the PCF and assuming the Weitzman damage function');
       
        saveas(fig1,[pwd,'\CHART_SCC_HIST_WEITZMAN_' date '.fig']);          

        print -depsc eps_CHART_SCC_HIST_WEITZMAN
    end
    
    
    
    
end

