function [ ] = Function_SCC_HIST_WEITZMAN( SCC_PCF_const_MC )

    % Plots SCC histogram, assuming quadratic damages
%--------------------------------------------------------------------------
    
    fig1=figure;
    
    y = SCC_PCF_const_MC(:,2);
    mu = mean(y);
    
    hist(y);
    
    hold on
    plot([mu,mu],ylim,'r--','LineWidth',2) % overlay the mean
    hold off
    
    ylabel('US$/tCO2');
    title('SCC - incl. the PCF and assuming the Weitzman damage function');
    
    saveas(fig1,[pwd,'\CHART_SCC_HIST_WEITZMAN_' date '.fig']);          

    print -depsc eps_CHART_SCC_HIST_WEITZMAN
    
end

