    fig1=figure;
   
   
    InputFile = [pwd,'\OUTPUT_SCC_DATA_QUADRATIC.xlsx'];
    yA = xlsread(InputFile,'SCC_DATA_QUADRATIC'); 
   
    InputFile = [pwd,'\OUTPUT_SCC_DATA_WEITZMAN.xlsx'];
    yB = xlsread(InputFile,'SCC_DATA_WEITZMAN'); 
    
    nBins =60;
    
    % Set extrema
    minY = 0; %there are no values lower than this
    maxY = 500; %there are no values higher than this

    % Add in extrema placeholders to adjust bins to a common scale
    yA2 = [yA minY maxY];
    yB2 = [yB minY maxY];


    %Create the table of histogram data
    % Bin data
    [countsA2, binsA2] = hist(yA2, nBins);
    [countsB2, binsB2] = hist(yB2, nBins);


    %Remove max and min placeholders
    % Remove extrema placeholders from counts
    histEnds = zeros(size(binsA2));
    %data sets A and B have the same nBins, so binsA2 and binsB2 are same length
    histEnds(1) = 1; %removes minimum placeholder
    histEnds(end) = 1; %removes maximum placeholder

    countsA3 = countsA2 - histEnds;
    countsB3 = countsB2 - histEnds;


    %Create plot
    % Plot histograms
    hold all
    bar(binsA2, countsA3, 'b')
    bar(binsB2, countsB3, 'c')
    hold off

    % Labels
    set(gca, 'XLim', [minY maxY])
    xlabel('Social cost of carbon (US$/tCO2)')
    ylabel('counts')
    legend({'With a quadratic damage function', 'With the Weitzman damage function'})

    
    title('Impact of the PCF on the SCC - comparing two damage function specifications');
    

       
    saveas(fig1,[pwd,'\CHART_SCC_HIST_BOTH_' date '.fig']);          

    print -depsc eps_CHART_SCC_HIST_BOTH