
 end_date   = 2300;
 years      = [2015:5:end_date]';
 
% IMPORT DATA FROM THE EXCEL FILES WITH PATHS 
 
InputFile_NOPCF = [pwd,'\OUTPUT_OPT_W_PATHS_NOPCF_QUAD.xlsx'];
 
    MIU_NOPCF          = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_MIU'); 
    MIU_NOPCF          = MIU_NOPCF(:,2); 
    MIU_NOPCF(1)       = []; % to remove year 2010
    
    CPRICE_NOPCF       = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_CPRICE'); 
    CPRICE_NOPCF       = CPRICE_NOPCF(:,2); 
    CPRICE_NOPCF(1)    = []; % to remove year 2010
    
    E_NOPCF            = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_E'); 
    E_NOPCF            = E_NOPCF(:,2);
    E_NOPCF(1)         = []; % to remove year 2010
    
    EIND_NOPCF         = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_EIND'); 
    EIND_NOPCF         = EIND_NOPCF(:,2);
    EIND_NOPCF(1)      = []; % to remove year 2010
    
    MAT_NOPCF          = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_MAT'); 
    MAT_NOPCF          = MAT_NOPCF(:,2);
    MAT_NOPCF(1)       = []; % to remove year 2010
    
    TATM_NOPCF         = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_TATM'); 
    TATM_NOPCF         = TATM_NOPCF(:,2);
    TATM_NOPCF(1)      = []; % to remove year 2010

    DAMAGES_NOPCF      = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_DAMAGES'); 
    DAMAGES_NOPCF      = DAMAGES_NOPCF(:,2);
    DAMAGES_NOPCF(1)   = []; % to remove year 2010

    ABATECOST_NOPCF    = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_ABATECOST'); 
    ABATECOST_NOPCF    = ABATECOST_NOPCF(:,2);
    ABATECOST_NOPCF(1) = []; % to remove year 2010

    C_NOPCF            = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_C'); 
    C_NOPCF            = C_NOPCF(:,2);  
    C_NOPCF(1)         = []; % to remove year 2010


    
InputFile_PCF = [pwd,'\OUTPUT_OPT_W_PATHS_PCF_QUAD.xlsx'];
    
    MIU_PCF            = xlsread(InputFile_PCF,'OPT_PCF_QUAD_MIU'); 
    MIU_PCF            = MIU_PCF(:,2); 
    MIU_PCF(1)         = []; % to remove year 2010
    
    CPRICE_PCF         = xlsread(InputFile_PCF,'OPT_PCF_QUAD_CPRICE'); 
    CPRICE_PCF         = CPRICE_PCF(:,2); 
    CPRICE_PCF(1)      = []; % to remove year 2010
    
    E_PCF              = xlsread(InputFile_PCF,'OPT_PCF_QUAD_E'); 
    E_PCF              = E_PCF(:,2); 
    E_PCF(1)           = []; % to remove year 2010
    
    EIND_PCF           = xlsread(InputFile_PCF,'OPT_PCF_QUAD_EIND'); 
    EIND_PCF           = EIND_PCF(:,2); 
    EIND_PCF(1)        = []; % to remove year 2010

    MAT_PCF            = xlsread(InputFile_PCF,'OPT_PCF_QUAD_MAT'); 
    MAT_PCF            = MAT_PCF(:,2); 
    MAT_PCF(1)         = []; % to remove year 2010
    
    TATM_PCF           = xlsread(InputFile_PCF,'OPT_PCF_QUAD_TATM'); 
    TATM_PCF           = TATM_PCF(:,2); 
    TATM_PCF(1)        = []; % to remove year 2010
   
    DAMAGES_PCF        = xlsread(InputFile_PCF,'OPT_PCF_QUAD_DAMAGES'); 
    DAMAGES_PCF        = DAMAGES_PCF(:,2);
    DAMAGES_PCF(1)     = []; % to remove year 2010

    ABATECOST_PCF      = xlsread(InputFile_PCF,'OPT_PCF_QUAD_ABATECOST'); 
    ABATECOST_PCF      = ABATECOST_PCF(:,2);
    ABATECOST_PCF(1)   = []; % to remove year 2010

    C_PCF              = xlsread(InputFile_PCF,'OPT_PCF_QUAD_C'); 
    C_PCF              = C_PCF(:,2);
    C_PCF(1)           = []; % to remove year 2010
 
 
 % DRAW CHARTS 

    %----------------------------------------------------------------------
    %FIGURE (FOR CHECKING PURPOSES)
    %----------------------------------------------------------------------
    
    fig1=figure;
    
    % MIU 
    subplot(4,2,1);
    plot(years,MIU_NOPCF,'-', years, MIU_PCF,'-r')
    axis([2015 2300 0 1]);
    title('Emissions control rate - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % CPRICE 
    subplot(4,2,2);
    plot(years,CPRICE_NOPCF,'-', years, CPRICE_PCF,'-r')
    axis([2015 2300 0 300]);
    title('Carbon price - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % EIND 
    subplot(4,2,3);
    plot(years,EIND_NOPCF,'-', years, EIND_PCF,'-r')
    axis([2015 2300 0 40]);
    ylabel('GtC');
    title('Industrial emissions - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
     
    % MAT
    subplot(4,2,4);
    plot(years,MAT_NOPCF,'-', years, MAT_PCF,'-r')
    axis([2015 2300 0 1800]);
    ylabel('ppmv');
    title('CO_{2} concentration - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % TATM 
    subplot(4,2,5); 
    plot(years,TATM_NOPCF,'-', years, TATM_PCF,'-r')
    axis([2015 2300 0 4]);
    ylabel('degrees Celsius');
    title('Atmospheric temperature increase - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')   
  
    % Climate damages
    subplot(4,2,6);
    plot(years,DAMAGES_NOPCF,'-',years, DAMAGES_PCF,'-r')
    axis([2015 2300 0 100]);
    ylabel('US$ trillions');
    title('Climate damages - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % Abatement costs
    subplot(4,2,7);
    plot(years,ABATECOST_NOPCF,'-',years, ABATECOST_PCF,'-r')
    axis([2015 2300 0 9]);
    ylabel('US$ trillions');
    title('Abatement costs - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % Consumption
    subplot(4,2,8);
    plot(years,C_NOPCF,'-',years, C_PCF,'-r')
    axis([2015 2300 0 2500]);
    ylabel('US$ trillions');
    title('Consumption - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    
    saveas(fig1,[pwd,'\CHART_OPT_W_PATHS_QUAD_CHECK_' date '.fig']);          

    print -depsc eps_CHART_OPT_W_PATHS_QUAD_CHECK
    
    
    %----------------------------------------------------------------------
    %FIGURE (FOR PAPER)
    %----------------------------------------------------------------------
    
    fig2=figure;
    
    % MIU 
    subplot(2,2,1); % subplot (2,2,1) for square
    plot(years,MIU_NOPCF,'-', years, MIU_PCF,'-r')
    axis([2015 2300 0 1]);
    title('Emissions control rate - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % CPRICE 
    subplot(2,2,2);
    plot(years,CPRICE_NOPCF,'-', years, CPRICE_PCF,'-r')
    axis([2015 2300 0 250])
    ylabel('US$ per ton CO_{2}');
    title('Carbon price - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % EIND 
    subplot(2,2,3); 
    plot(years,EIND_NOPCF,'-', years, EIND_PCF,'-r')
    axis([2015 2300 0 50])
    ylabel('GtCO_{2} per year');
    title('Ind. emissions - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
     
    % MAT
    %subplot(3,3,3);
    %plot(years,MAT_NOPCF,'-', years, MAT_PCF,'-r')
    %axis([2015 2300 0 1400]);
    %ylabel('ppmv');
    %title('CO2 concentration - optimal, quadratic');
    %legend('excl. the PCF','incl. the PCF','location','Best')
    
    % TATM 
    subplot(2,2,4); 
    plot(years,TATM_NOPCF,'-', years, TATM_PCF,'-r')
    axis([2015 2300 0 4]);
    ylabel('degrees Celsius');
    title('Atm. temperature increase - optimal, quadratic');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')   
  
    % Climate damages
    %subplot(2,2,4);
    %plot(years,DAMAGES_NOPCF,'-',years, DAMAGES_PCF,'-r')
    %axis([2015 2300 0 100]);
    %ylabel('US$ trillions');
    %title('Climate damages - optimal, quadratic');
    %legend('excl. the PCF','incl. the PCF','location','Best')
    
    %5) Abatement costs
    %subplot(2,2,3);
    %plot(years,ABATECOST_NOPCF,'-',years, ABATECOST_PCF,'-r')
    %axis([2015 2300 0 9]);
    %ylabel('US$ trillions');
    %title('Abatement costs - optimal, quadratic');
    %legend('excl. the PCF','incl. the PCF','location','Best')
    
    %Consumption
    %subplot(3,3,6);
    %plot(years,C_NOPCF,'-',years, C_PCF,'-r')
    %axis([2015 2300 0 2500]);
    %ylabel('US$ trillions');
    %title('Consumption - optimal, quadratic');
    %legend('excl. the PCF','incl. the PCF','location','Best')
    
    
    saveas(fig2,[pwd,'\CHART_OPT_W_PATHS_QUAD_' date '.fig']);          

    print -depsc eps_CHART_OPT_W_PATHS_QUAD
    