%script calling the objective function

close all; clear all; clc

years      = [2010:5:2305]';
end_date = 2305;
nb_periods = (end_date-2010)/5+1;

InputFile = [pwd,'\INPUT_MIU_INIT.xlsx'];
MIU0 = xlsread(InputFile,'MIU'); 
MIU0 = MIU0(:,2); 
temp = nb_periods-7;
MIU0 = MIU0(2:temp); %!!!
MIU0 = round(MIU0*1e3)/1e3;

A   =  [];
B   =  []; % the linear inequality constraints: A*X <= B
Aeq =  [];
Beq =  []; % the linear equality constraints: Aeq*X = B
lb  =  zeros(temp,1); 
ub  =  ones(temp,1); % LB <= X <= UB


%opts = optimset('Display','iter','Algorithm','sqp','MaxFunEval',inf,'MaxIter',Inf);

opts = optimoptions('fmincon','Algorithm','sqp','Display','iter', 'MaxFunEval',inf,'MaxIter',inf, 'TolCon',1e-6,'TolFun',1e-15, 'TolX', 1e-15);

[x,fval]=fmincon(@mscr_W_NOPCF_WEITZ_noconsend,MIU0,A,B,Aeq,Beq,lb,ub,[],opts);

warning off MATLAB:xlswrite:AddSheet;
filename = [pwd,'\OUTPUT_OPT_MIU_W_NOPCF_WEITZ.xlsx'];
    
    
sheet      = ['OPT_MIU_W_NOPCF_WEITZ'];

val_0      = (1/344)^(1/(2.8-1));
data0      = [years(1) val_0];

data       = x;
temp0      = [years(2):5:years(53)]';
data1      = [temp0 data];

temp1      = ones(7,1);
temp2      = [years(54):5:years(60)]';
data2      = [temp2 temp1];

data       = [data0;data1;data2];

data_cells = num2cell(data);
xlswrite(filename,data_cells,sheet,'A1');