%script calling the objective function

close all; clear all; clc

end_date   = 2310;
years      = [2010:5:end_date]';


A   =  [];
B   =  []; % the linear inequality constraints: A*X <= B
Aeq =  [];
Beq =  []; % the linear equality constraints: Aeq*X = B
temp = (end_date-2010)/5+2;
lb  =  zeros(temp,1); 
ub  =  ones(temp,1); % LB <= X <= UB


options = gaoptimset('TolFun',1e-16, 'TolCon', 1e-16);

[x,fval]=ga(@fitnessfcn_W_PCF_T2C_QUAD,49,A,B,Aeq,Beq,lb,ub,@constraints_W_PCF_T2C_QUAD,options);
% we optimize for MIU: 2010-2250 -> 49 dates

warning off MATLAB:xlswrite:AddSheet;
filename = [pwd,'\OUTPUT_OPT_MIU_W_PCF_T2C_QUAD.xlsx'];
    
    
sheet      = ['OPT_MIU_W_PCF_QUAD'];
data       = x';
temp       = [years(1):5:years(49)]';
data1      = [temp data];

temp1      = ones(12,1);
temp2      = [years(50):5:years(61)]';
data2      = [temp2 temp1];

data       = [data1;data2];

data_cells = num2cell(data);
xlswrite(filename,data_cells,sheet,'A1');
