%script calling the objective function

close all; clear all; clc

end_date = 2300;
nb_periods = (end_date-2010)/5+1;

InputFile = [pwd,'\INPUT_MIU_INIT.xlsx'];
MIU0 = xlsread(InputFile,'MIU'); 
MIU0 = MIU0(:,2); 
temp = nb_periods+1;
MIU0 = MIU0(1:temp);
MIU0 = round(MIU0*1e3)/1e3;

A   =  [];
B   =  []; % the linear inequality constraints: A*X <= B
Aeq =  [];
Beq =  []; % the linear equality constraints: Aeq*X = B
temp = (end_date-2010)/5+2;
lb  =  zeros(temp,1); 
ub  =  ones(temp,1); % LB <= X <= UB


opts = optimset('Display','iter','Algorithm','sqp','MaxFunEval',inf,'MaxIter',Inf);

[x,fval]=fmincon(@mscr_NOPCF_QUAD,MIU0,A,B,Aeq,Beq,lb,ub,{},opts);

warning off MATLAB:xlswrite:AddSheet;
filename = [pwd,'\OUTPUT_OPT_MIU_NOPCF_QUAD.xlsx'];
    
    
sheet      = ['OPT_MIU_NOPCF_QUAD'];
data       = x;
data_cells = num2cell(data);
xlswrite(filename,data_cells,sheet,'A1');