
clear all;

 end_date   = 2300;
 years      = [2015:5:end_date]';
 

    %----------------------------------------------------------------------
    % WITHOUT THE T2C CONSTRAINT
    %----------------------------------------------------------------------
 
    InputFile_NOPCF = [pwd,'\OUTPUT_OPT_W_PATHS_NOPCF_QUAD.xlsx'];
    ABATECOST_NOPCF        = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_ABATECOST'); 
    ABATECOST_NOPCF        = ABATECOST_NOPCF(:,2);
    ABATECOST_NOPCF(1)     = []; % to remove year 2010
    
    YGROSS_NOPCF           = xlsread(InputFile_NOPCF,'OPT_NOPCF_QUAD_YGROSS'); 
    YGROSS_NOPCF           = YGROSS_NOPCF(:,2);
    YGROSS_NOPCF(1)        = []; % to remove year 2010
    
    InputFile_PCF = [pwd,'\OUTPUT_OPT_W_PATHS_PCF_QUAD.xlsx'];
    ABATECOST_PCF          = xlsread(InputFile_PCF,'OPT_PCF_QUAD_ABATECOST'); 
    ABATECOST_PCF          = ABATECOST_PCF(:,2);
    ABATECOST_PCF(1)       = []; % to remove year 2010
        
    YGROSS_PCF             = xlsread(InputFile_PCF,'OPT_PCF_QUAD_YGROSS'); 
    YGROSS_PCF             = YGROSS_PCF(:,2);
    YGROSS_PCF(1)          = []; % to remove year 2010
    
    x_nocons_nopcf         = ABATECOST_NOPCF/YGROSS_NOPCF;
    x_nocons_pcf           = ABATECOST_PCF/YGROSS_PCF;

    
    
    
    %----------------------------------------------------------------------
    % WITH THE T2C CONSTRAINT
    %----------------------------------------------------------------------
    

    InputFile_NOPCF_T2C    = [pwd,'\OUTPUT_OPT_W_PATHS_NOPCF_T2C_QUAD.xlsx'];
    
    ABATECOST_NOPCF_T2C    = xlsread(InputFile_NOPCF_T2C,'OPT_NOPCF_QUAD_ABATECOST'); 
    ABATECOST_NOPCF_T2C    = ABATECOST_NOPCF_T2C(:,2);
    ABATECOST_NOPCF_T2C(1) = []; % to remove year 2010
    
    YGROSS_NOPCF_T2C       = xlsread(InputFile_NOPCF_T2C,'OPT_NOPCF_QUAD_YGROSS'); 
    YGROSS_NOPCF_T2C       = YGROSS_NOPCF_T2C(:,2);
    YGROSS_NOPCF_T2C(1)    = []; % to remove year 2010
    
    %----------------------------------------------------------------------
        
    InputFile_PCF_T2C      = [pwd,'\OUTPUT_OPT_W_PATHS_PCF_T2C_QUAD.xlsx'];
    ABATECOST_PCF_T2C      = xlsread(InputFile_PCF_T2C,'OPT_PCF_QUAD_ABATECOST'); 
    ABATECOST_PCF_T2C      = ABATECOST_PCF_T2C(:,2);
    ABATECOST_PCF_T2C(1)   = []; % to remove year 2010
    
    YGROSS_PCF_T2C         = xlsread(InputFile_PCF_T2C,'OPT_PCF_QUAD_YGROSS'); 
    YGROSS_PCF_T2C         = YGROSS_PCF_T2C(:,2);
    YGROSS_PCF_T2C(1)      = []; % to remove year 2010
    
    x_T2C_nopcf            = ABATECOST_NOPCF_T2C/YGROSS_NOPCF_T2C;
    x_T2C_pcf              = ABATECOST_PCF_T2C/YGROSS_PCF_T2C;
    
    
   
    
    %----------------------------------------------------------------------
    % DRAW CHART
    %----------------------------------------------------------------------
 
     
    fig1=figure;
    
    % WITHOUT THE CONSTRAINT 
    subplot(1,2,1);
    plot(years, x_nocons_nopcf,'-', years, x_nocons_pcf,'-r')
    axis([2015 2300 0 0.01]);
    title('Abatement costs as % of gross output - optimal, quadratic, no constraint');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
    
    % WITHOUT THE CONSTRAINT  
    subplot(1,2,2);
    plot(years,x_T2C_nopcf,'-', years, x_T2C_pcf,'-r')
    axis([2015 2300 0 0.01]);
    title('Abatement costs as % of gross output - optimal, quadratic, T2C constraint');
    ax = gca;
    ax.TitleFontSizeMultiplier = 1;
    legend('excl. the PCF','incl. the PCF','location','Best')
            
    saveas(fig1,[pwd,'\CHART_OPT_W_ABATECOST_QUAD_REL' date '.fig']);          

    print -depsc eps_CHART_OPT_W_ABATECOST_QUAD_REL    
    

   